Index: /trunk/paper/CommPhysComp/enumitem.sty
===================================================================
--- /trunk/paper/CommPhysComp/enumitem.sty	(revision 460)
+++ /trunk/paper/CommPhysComp/enumitem.sty	(revision 460)
@@ -0,0 +1,491 @@
+% +--------------------------------------------------+
+% | Typeset enumitem.tex to get the documentation.   |
+% +--------------------------------------------------+
+%
+% Copyright (c) 2003-2004 by Javier Bezos.
+% All Rights Reserved.
+%
+% This file is part of the enumitem distribution release 1.0
+% -----------------------------------------------------------
+%
+% This program can be redistributed and/or modified under the terms
+% of the LaTeX Project Public License Distributed from CTAN
+% archives in directory macros/latex/base/lppl.txt; either
+% version 1 of the License, or any later version.
+%
+% Notes
+% ~~~~~
+%
+% The tag enit@ is used through the style
+%
+% Release
+% ~~~~~~~
+
+\NeedsTeXFormat{LaTeX2e}
+\ProvidesPackage{enumitem}[2004/07/19 v1.0 Customized lists]
+
+% Reponer \lableindent a 0 siempre
+
+\@ifundefined{define@key}{\RequirePackage{keyval}}{}%
+
+\newlength{\labelindent}
+
+% Vertical spacing
+
+\define@key{enumitem}{topsep}{%
+  \setlength{\topsep}{#1}}
+
+\define@key{enumitem}{itemsep}{%
+  \setlength{\itemsep}{#1}}
+
+\define@key{enumitem}{parsep}{%
+  \setlength{\parsep}{#1}}
+
+\define@key{enumitem}{partopsep}{%
+  \setlength{\partopsep}{#1}}
+
+% Horizontal spacing
+
+\define@key{enumitem}{itemindent}{%
+  \setlength{\itemindent}{#1}}
+
+\define@key{enumitem}{listparindent}{%
+  \setlength{\listparindent}{#1}}
+
+\define@key{enumitem}{labelwidth}{%
+  \setlength{\labelwidth}{#1}}
+
+\define@key{enumitem}{labelindent}{%
+  \setlength{\labelindent}{#1}}
+
+\define@key{enumitem}{rightmargin}{%
+  \setlength{\rightmargin}{#1}}
+
+\define@key{enumitem}{leftmargin}{%
+  \if*#1%
+    \def\enit@calcleft{%
+      \enit@calclabel
+      \leftmargin\labelwidth
+      \advance\leftmargin\labelsep
+      \advance\leftmargin\labelindent
+      \advance\labelindent-\itemindent}%
+  \else
+    \setlength{\leftmargin}{#1}%
+  \fi}
+
+\define@key{enumitem}{labelsep}{%
+  \if*#1%
+    \def\enit@calcleft{%
+      \advance\labelindent-\itemindent
+      \enit@calclabel
+      \labelsep\leftmargin
+      \advance\labelsep-\labelwidth
+      \advance\labelsep-\labelindent}%
+  \else
+    \setlength{\labelsep}{#1}%
+  \fi}
+
+\define@key{enumitem}{widest}{%
+  \expandafter\def
+  \csname enit@widest\@enumctr\endcsname{#1}}
+
+\def\enit@calclabel{%
+  \begingroup
+    \enit@calcdef\@arabic\enit@arabic{0}%
+    \enit@calcdef\@alph\enit@alph{m}%
+    \enit@calcdef\@Alph\enit@Alph{M}%
+    \enit@calcdef\@roman\enit@roman{viii}%
+    \enit@calcdef\@Roman\enit@Roman{VIII}%
+    \settowidth\labelwidth{\@itemlabel}%
+    \xdef\enit@a{\labelwidth\the\labelwidth\relax}%
+  \endgroup
+  \enit@a}
+
+% Used below to gobble \c@ from the internal representation
+% of counters.
+
+\def\@gobblethree#1#2#3{}
+
+\def\enit@calcdef#1#2#3{%
+  \let#2#1%
+  \def#1##1{%
+    \@ifundefined{enit@widest\expandafter\@gobblethree\string##1}% if no widest key
+      {#3}%
+      {\csname enit@widest\expandafter\@gobblethree\string##1\endcsname}}}
+
+% Resume and start
+
+\define@key{enumitem}{resume}[]{%
+  \enit@resume\relax}
+
+\define@key{enumitem}{start}[\@ne]{%
+  \csname c@\@listctr\endcsname#1\relax
+  \advance\csname c@\@listctr\endcsname\m@ne}
+  
+% How the label is aligned
+    
+\let\enit@alignright\@empty
+\def\enit@alignleft{%
+  \def\makelabel##1{\rlap{##1}\hss}}
+
+\define@key{enumitem}{align}{%
+  \csname enit@align#1\endcsname}
+
+% Penalties
+  
+\define@key{enumitem}{beginpenalty}{%
+  \@beginparpenalty#1\relax}
+  
+\define@key{enumitem}{midpenalty}{%
+  \@itempenalty#1\relax}
+
+\define@key{enumitem}{endpenalty}{%
+  \@endparpenalty#1\relax}
+   
+
+% description specific keys
+
+\define@key{enumitem}{font}[]{%
+  \def\makelabel##1{\hskip\labelsep\normalfont#1##1}}
+
+\define@key{enumitem}{style}[normal]{%
+  \edef\enit@descstyle{%
+    \expandafter\noexpand\csname enit@#1style\endcsname}}
+
+\let\enit@normalstyle\@firstofone
+
+% Labels and refs
+
+\define@key{enumitem}{label}{%
+  \enit@normlabel{#1}% Returns \enit@a
+  \expandafter\let\@itemlabel\enit@a
+%ie, redefine \labelenumX or \labelitemX.
+  \ifx\enit@ref\relax\enit@reflabel{#1}\fi}
+%ie, only if there is not a previous ref=
+% Normalization is done twice. Not good.
+  
+\define@key{enumitem}{ref}{%
+  \enit@reflabel{#1}}
+
+%\expandafter\def\csname c@*\endcsname{\csname c@\@enumctr\endcsname}
+
+\def\enit@normlabel#1{%
+  \begingroup
+    \enit@refstar\arabic
+    \enit@refstar\alph
+    \enit@refstar\Alph
+    \enit@refstar\roman
+    \enit@refstar\Roman
+    \enit@refstar\value
+    \enit@refstar\@arabic
+    \enit@refstar\@alph
+    \enit@refstar\@Alph
+    \enit@refstar\@roman
+    \enit@refstar\@Roman
+    \protected@xdef\enit@a{#1}%
+  \endgroup}
+
+\def\enit@reflabel#1{%
+  \def\enit@ref{%
+    \ifnum\@enumdepth=\@ne\else % no level 0
+      \advance\@enumdepth\@ne
+      \@namedef{p@\@enumctr}{}% Don't accumulate labels
+      \advance\@enumdepth\m@ne
+    \fi
+    \enit@normlabel{#1}% Returns \enit@a
+    \expandafter
+    \let\csname the\@enumctr\endcsname\enit@a}}
+
+\def\enit@refstar#1{%
+  \def#1##1{%
+    \if*##1\@empty
+      \noexpand#1{enum\romannumeral\@enumdepth}%
+    \else
+      \noexpand#1{##1}%
+    \fi}}
+
+\def\enit@setkeys#1{%
+  \@ifundefined{#1}{}%
+    {\toks@\expandafter\expandafter\expandafter
+       {\csname#1\endcsname}%
+     \edef\enit@a{%
+        \noexpand\setkeys{enumitem}{\the\toks@}}%
+     \enit@a   
+     \ifx\enit@ref\relax\else  % Not a logical place, grrr
+       \let\enit@saveref\enit@ref
+       \let\enit@ref\relax
+     \fi}}
+
+% And now, the three environments are redefined.
+% First, code shared by enumerate and itemize.
+     
+\newdimen\enit@outerparindent
+     
+\def\enit@preset{%
+   \def\makelabel##1{\hss\llap{##1}}%
+   \let\enit@calcleft\relax
+   \let\enit@widest\@empty
+   \labelindent\z@skip
+   \ifnum\@listdepth=\@ne
+     \enit@outerparindent\parindent
+   \else
+     \parindent\enit@outerparindent
+   \fi
+   \enit@setkeys
+     {enit@list}%
+   \enit@setkeys
+     {enit@list\romannumeral\@listdepth}}
+
+\def\enit@enumerate#1{%
+  \ifnum \@enumdepth >\thr@@
+    \@toodeep
+  \else
+    \advance\@enumdepth\@ne
+    \edef\@enumctr{enum\romannumeral\@enumdepth}%
+    \expandafter
+    \list
+      \csname label\@enumctr\endcsname
+      {\usecounter\@enumctr
+       \let\enit@ref\relax
+       \let\enit@saveref\relax
+       \enit@normlabel{\@itemlabel}% Returns \enit@a
+       \expandafter\let\@itemlabel\enit@a
+       \enit@preset
+       \enit@setkeys
+         {enit@enum}%
+       \enit@setkeys
+         {enit@\@enumctr}%
+       \setkeys{enumitem}{#1}%
+       \enit@calcleft
+       \ifx\enit@ref\relax
+         \enit@saveref
+       \else
+         \enit@ref
+       \fi}%
+  \fi}
+
+\def\enit@endenumerate{%
+  \endlist
+  \xdef\enit@resume{%
+    \csname c@\@listctr\endcsname
+    \the\csname c@\@listctr\endcsname}}
+    
+\renewenvironment{enumerate}[1][]
+  {\enit@enumerate{#1}}
+  {\enit@endenumerate}
+  
+\def\enit@itemize#1{%
+  \ifnum \@itemdepth >\thr@@
+    \@toodeep
+  \else
+    \advance\@itemdepth\@ne
+    \edef\@itemitem{labelitem\romannumeral\@itemdepth}%
+    \expandafter
+    \list
+      \csname\@itemitem\endcsname
+       {\enit@preset
+        \enit@setkeys
+         {enit@item}%
+        \enit@setkeys
+         {enit@item\romannumeral\@itemdepth}%
+        \setkeys{enumitem}{#1}%
+        \enit@calcleft}%
+  \fi}
+  
+\let\enit@enditemize\itemize
+
+\renewcommand{\itemize}[1][]{\enit@itemize{#1}}
+  
+\renewcommand{\description}[1][]{%
+  \list{}%
+    {\labelwidth\z@
+     \let\makelabel\descriptionlabel
+     \let\enit@descstyle\enit@normalstyle
+     \labelindent\z@skip
+     \enit@setkeys
+       {enit@list}%
+     \enit@setkeys
+       {enit@list\romannumeral\@listdepth}%
+     \enit@setkeys
+       {enit@desc}%
+     \setkeys{enumitem}{#1}%
+     \itemindent-\leftmargin
+     \advance\itemindent\labelindent
+     \let\enit@makelabel\makelabel
+     \def\makelabel##1{%
+       \enit@descstyle{\enit@makelabel{##1}}}}}
+
+% Option ignoredisplayed (see below).
+
+\def\enit@trivlist{%
+  \parsep\parskip
+  \csname @list\romannumeral\the\@listdepth\endcsname
+  \@nmbrlistfalse
+  \enit@setkeys
+    {enit@triv}%
+  \enit@setkeys
+    {enit@triv\romannumeral\@listdepth}%
+  \@trivlist
+  \labelwidth\z@
+  \leftmargin\z@
+  \itemindent\z@
+  \let\@itemlabel\@empty
+  \def\makelabel##1{##1}}
+
+% description styles
+
+% the next definition is somewhat tricky because
+% labels are boxed. That's fine when the label is
+% just placed at the begining of a line of text,
+% but when the box is placed whithout horizontal
+% material, leading is killed. Therefore,
+% solutions based on the LaTeX Companion are wrong.
+% Here, the \everypar in \@item is overriden
+% and the label is printed directly, without
+% boxing it.
+
+\def\enit@nextlinestyle#1{%
+  \hskip-\itemindent % quick & dirty --what's happening?
+  \global\everypar{%
+    \@minipagefalse
+    \global\@newlistfalse
+    \if@inlabel
+      \global\@inlabelfalse
+      {\setbox\z@\lastbox
+       \ifvoid\z@
+         \kern-\itemindent
+       \fi
+       \sbox\z@{\hskip\labelindent#1\hskip\labelsep}%
+       \ifdim\wd\z@>\leftmargin
+         {\advance\leftskip-\leftmargin
+          \advance\leftskip\labelindent
+          \hskip-\labelsep
+          #1%
+          \vskip-\parskip}%
+       \else
+         \hskip-\leftmargin\hskip-\labelsep\hskip\labelindent
+         \rlap{#1}%
+         \hskip\leftmargin\hskip\labelsep\hskip-\labelindent
+       \fi}%
+    \fi
+    \if@nobreak
+      \@nobreakfalse
+      \clubpenalty \@M
+    \else
+      \clubpenalty \@clubpenalty
+      \everypar{}%
+    \fi}}
+
+\def\enit@multilinestyle#1{%
+  \dimen@\leftmargin
+  \advance\dimen@-\labelsep
+  \advance\dimen@-\labelindent
+  \sbox\z@{%
+    \parbox[t]\dimen@{%
+      \raggedright\hskip-\labelsep#1}}%
+  \dp\z@\z@
+  \hskip\labelsep\box\z@
+  \hfil}
+
+\def\enit@unboxedstyle#1{%
+  \hskip-\itemindent 
+  \global\everypar{%
+    \@minipagefalse
+    \global\@newlistfalse
+    \if@inlabel
+      \global\@inlabelfalse
+      {\setbox\z@\lastbox
+       \ifvoid\z@
+         \kern-\itemindent
+       \fi%
+       \hskip-\leftmargin\hskip-\labelsep\hskip\labelindent
+       #1%
+       \hskip\labelsep}%
+    \fi
+    \if@nobreak
+      \@nobreakfalse
+      \clubpenalty \@M
+    \else
+      \clubpenalty \@clubpenalty
+      \global\everypar{}%
+    \fi}}
+
+\def\enit@samelinestyle#1{%
+  \hskip-\itemindent 
+  \global\everypar{%
+    \@minipagefalse
+    \global\@newlistfalse
+    \if@inlabel
+      \global\@inlabelfalse
+      {\setbox\z@\lastbox
+       \ifvoid\z@
+         \kern-\itemindent
+       \fi
+       \sbox\z@{\hskip\labelindent#1\hskip\labelsep}%
+       \ifdim\wd\z@>\leftmargin
+         \hskip-\leftmargin
+         \hskip-\labelsep
+         \hskip\labelindent
+         #1%
+         \hskip\labelsep
+       \else
+         \hskip-\leftmargin
+         \hskip-\labelsep
+         \hskip\labelindent
+         \rlap{#1}%
+         \hskip\leftmargin
+         \hskip\labelsep
+         \hskip-\labelindent
+       \fi}%
+    \fi
+    \if@nobreak
+      \@nobreakfalse
+      \clubpenalty \@M
+    \else
+      \clubpenalty \@clubpenalty
+      \everypar{}%
+    \fi}}
+
+% Formatting lists globally
+
+\newcommand\setenumerate[1][0]{%
+  \expandafter\def\csname enit@enum\romannumeral#1\endcsname}
+
+\newcommand\setitemize[1][0]{%
+  \expandafter\def\csname enit@item\romannumeral#1\endcsname}
+
+\def\setdescription{\def\enit@desc}
+
+\newcommand\setlist[1][0]{%
+  \expandafter\def\csname enit@list\romannumeral#1\endcsname}
+
+\newcommand\setdisplayed[1][0]{%
+  \expandafter\def\csname enit@triv\romannumeral#1\endcsname}
+
+% A few useful predefined keys
+  
+\define@key{enumitem}{nolistsep}[true]{%
+  \partopsep=\z@skip
+  \topsep=\z@ plus .1pt
+  \itemsep=\z@skip
+  \parsep=\z@skip}
+
+\define@key{enumitem}{noitemsep}[true]{%
+  \itemsep=\z@skip
+  \parsep=\z@skip}
+
+\define@key{enumitem}{fullwidth}[true]{%
+  \leftmargin\z@
+  \labelwidth\z@
+  \def\makelabel##1{%
+    \hskip\labelsep##1}}
+    
+% And options
+
+\DeclareOption{ignoredisplayed}{\let\enit@trivlist\trivlist}
+
+\ProcessOptions
+
+\let\trivlist\enit@trivlist
+
+\endinput
Index: /trunk/paper/CommPhysComp/notes.tex
===================================================================
--- /trunk/paper/CommPhysComp/notes.tex	(revision 459)
+++ /trunk/paper/CommPhysComp/notes.tex	(revision 460)
@@ -57,5 +57,5 @@
 \textit{Preprint:} \texttt{CP3-09-01}, \texttt{arXiv:0903.2225 [hep-ph]}\\ \\
 %\includegraphics[scale=0.8]{DelphesLogoSml}\\
-\includegraphics[scale=0.8]{fig1}\\
+\includegraphics[scale=0.8]{fig0}\\
 {\bf PROGRAM SUMMARY}\\
 \begin{small}
@@ -133,5 +133,5 @@
 \begin{center}
 %\includegraphics[scale=0.78]{FlowDelphes}
-\includegraphics[scale=0.78]{fig2}
+\includegraphics[scale=0.78]{fig1}
 \caption{Flow chart describing the principles behind \textsc{Delphes}. Event files coming from external Monte Carlo generators are read by a converter stage (top). 
 The kinematics variables of the final-state particles are then smeared according to the tunable subdetector resolutions. 
@@ -185,5 +185,5 @@
 \begin{center}
 %\includegraphics[width=\columnwidth]{Detector_Delphes_3}
-\includegraphics[width=\columnwidth]{fig3}
+\includegraphics[width=\columnwidth]{fig2}
 \caption{
 Profile of layout of the generic detector geometry assumed in \textsc{Delphes}. The innermost layer, close to the interaction point, is a central tracking system (pink). 
@@ -273,6 +273,6 @@
 \begin{center}
 %\includegraphics[width=\columnwidth]{calosegmentation}
-\includegraphics[width=\columnwidth]{fig4}
-\caption{Default segmentation of the calorimeters in the $(\eta,\phi)$ plane. Only the central detectors (\textsc{ecal}, \textsc{hcal}) and \textsc{fcal} are considered. $\phi$ angles are expressed in radians.}
+\includegraphics[width=\columnwidth]{fig3}
+\caption{Default segmentation of the calorimeters in the $(\eta,\phi)$ plane. Only the central detectors (\textsc{ecal}, \textsc{hcal}) and \textsc{fcal} are considered. $\phi$ angles are expressend in radians.}
 \label{fig:calosegmentation}
 \end{center}
@@ -290,5 +290,5 @@
 \begin{center}
 %\includegraphics[width=\columnwidth]{fdets}
-\includegraphics[width=\columnwidth]{fig5}
+\includegraphics[width=\columnwidth]{fig4}
 \caption{Default location of the very forward detectors, including \textsc{zdc}, \textsc{rp220} and \textsc{fp420} in the \textsc{lhc} beamline. 
 Incoming (red) and outgoing (black) beams on one side of the interaction point ($s=0~\textrm{m}$). 
@@ -489,5 +489,5 @@
 \begin{center}
 %\includegraphics[width=0.6\columnwidth]{Tau}
-\includegraphics[width=0.6\columnwidth]{fig6}
+\includegraphics[width=0.6\columnwidth]{fig5}
 \caption{Illustration of the identification of $\tau$-jets ($1-$prong). The jet cone is narrow and contains only one track. The small cone shown as the red one is used for the \textit{electromagnetic collimation}, while the green cone is the cone radius used to reconstruct the jet originating from the $\tau$-decay.}
 \label{h_WW_ss_cut1}
@@ -528,5 +528,5 @@
 \begin{center}
 %\includegraphics[width=\columnwidth]{Tau2}
-\includegraphics[width=\columnwidth]{fig7}
+\includegraphics[width=\columnwidth]{fig6}
 \caption{Distribution of the electromagnetic collimation $C_\tau$ variable for true $\tau$-jets, normalised to unity. This distribution is shown for associated $WH$ photoproduction~\citep{bib:whphotoproduction}, where the Higgs boson decays into a $W^+ W^-$ pair. Each $W$ boson decays into a $\ell \nu_\ell$ pair, where $\ell = e, \mu, \tau$.
 Events generated with \textsc{MadGraph/MadEvent}~\citep{bib:mgme}.
@@ -547,5 +547,5 @@
 \begin{center}
 %\includegraphics[width=\columnwidth]{Tau1}
-\includegraphics[width=\columnwidth]{fig8}
+\includegraphics[width=\columnwidth]{fig7}
 \caption{Distribution of the number of tracks $N^\textrm{tracks}$ within a small jet cone for true $\tau$-jets, normalised to unity. Photoproduced $WH$ events, where $W$ bosons decay leptonically ($e,\mu,\tau$), as in Fig.~\ref{fig:tau2}. 
 Histogram entries correspond to true $\tau$-jets, matched with generator-level data.}
@@ -636,5 +636,5 @@
 \begin{center}
 %\includegraphics[width=\columnwidth]{resolutionJet}
-\includegraphics[width=\columnwidth]{fig9}
+\includegraphics[width=\columnwidth]{fig8}
 \caption{Resolution of the transverse energy of reconstructed jets $E_T^\textrm{rec}$ as a function of the transverse energy of the closest jet of generator-level particles $E_T^\textrm{MC}$. The maximum separation between the reconstructed and \textsc{mc} jets is $\Delta R= 0.25$. Pink line is the fit result for comparison to the \textsc{cms} resolution~\citep{bib:cmsjetresolution}, in blue.}
 \label{fig:jetresol}
@@ -668,5 +668,5 @@
 \begin{center}
 %\includegraphics[width=\columnwidth]{resolutionETmis}
-\includegraphics[width=\columnwidth]{fig10}
+\includegraphics[width=\columnwidth]{fig9}
 \caption{$\sigma(E^\textrm{miss}_{x})$ as a function on the scalar sum of all towers ($\Sigma E_T$) for $pp \rightarrow gg$ events.}
 \label{fig:resolETmis}
@@ -732,5 +732,5 @@
 \begin{center}
 %\includegraphics[width=\columnwidth]{Detector_Delphes_2b}
-\includegraphics[width=\columnwidth]{fig11}
+\includegraphics[width=\columnwidth]{fig10}
 \caption{Layout of the generic detector geometry assumed in \textsc{Delphes}. Open 3D-view of the detector with solid volumes. Same colour codes as for Fig.~\ref{fig:GenDet3} are applied. Additional forward detectors are not depicted.}
 \label{fig:GenDet2}
@@ -754,5 +754,5 @@
 %%\includegraphics[width=\columnwidth]{Events_Delphes_1}
 %\includegraphics[width=\columnwidth]{DisplayWt}
-\includegraphics[width=\columnwidth]{fig12}
+\includegraphics[width=\columnwidth]{fig11}
 \caption{Example of $pp(\gamma p \rightarrow Wt)pY$ event display in different orientations, with $t \rightarrow Wb$. 
 One $W$ boson decays into a $\mu \nu_\mu$ pair and the second one into a $e \nu_e$ pair. 
@@ -771,5 +771,5 @@
 %%\includegraphics[width=\columnwidth]{Events_Delphes_1}
 %\includegraphics[width=\columnwidth]{Displayppgg}
-\includegraphics[width=\columnwidth]{fig13}
+\includegraphics[width=\columnwidth]{fig12}
 \caption{Example of inclusive gluon pair production $pp \rightarrow ggX$. Many jets are visible in the event, in particular along the beam axis. Two muons (in blue) are produced and the missing transverse energy is significant in this event (grey vector).}
 \label{fig:gg}
@@ -819,5 +819,5 @@
 \bibitem{bib:Delphes} \textsc{Delphes}, \href{http://www.fynu.ucl.ac.be/delphes.html}{www.fynu.ucl.ac.be/delphes.html}
 %hepforge:
-\bibitem{bib:stdhep} L.A. Garren, M. Fischler, \\ \href{http://cepa.fnal.gov/psm/stdhep/c++}{cepa.fnal.gov/psm/stdhep/c++}\bibitem{bib:hepmc} M. Dobbs and J.B. Hansen, \textbf{Comput. Phys. Commun.} \href{http://dx.doi.org/10.1016/S0010-4655(00)00189-2}{134 (2001) 41}.
+\bibitem{bib:stdhep} L.A. Garren, M. Fischler, \href{http://cepa.fnal.gov/psm/stdhep/c++}{cepa.fnal.gov/psm/stdhep/c++}\bibitem{bib:hepmc} M. Dobbs and J.B. Hansen, \textbf{Comput. Phys. Commun.} \href{http://dx.doi.org/10.1016/S0010-4655(00)00189-2}{134 (2001) 41}.
 \bibitem{bib:lhe} J. Alwall, et al., \textbf{Comput. Phys. Commun.} \href{http://dx.doi.org/10.1016/j.cpc.2006.11.010}{176:300-304,2007}.
 \bibitem{bib:Root} %\textsc{Root}, \textit{An Object Oriented Data Analysis Framework}, 
@@ -825,5 +825,5 @@
 \bibitem{bib:ExRootAnalysis} %\textit{The} \textsc{ExRootAnalysis} \textit{analysis steering utility}, 
 P. Demin, (2006), unpublished. Now part of \textsc{MadGraph/MadEvent}.
-\bibitem{bib:cmsjetresolution} The CMS Collaboration, \textbf{CERN/LHCC} \\ \href{http://documents.cern.ch/cgi-bin/setlink?base=lhcc&categ=public&id=lhcc-2006-001}{2006-001}.
+\bibitem{bib:cmsjetresolution} The CMS Collaboration, \textbf{CERN/LHCC} \href{http://documents.cern.ch/cgi-bin/setlink?base=lhcc&categ=public&id=lhcc-2006-001}{2006-001}.
 \bibitem{bib:ATLASresolution} The ATLAS Collaboration, \textbf{CERN-OPEN} 2008-020, arXiv:\href{http://arxiv.org/abs/arxiv:0901.0512}{0901.0512v1}[hep-ex].
 \bibitem{bib:Hector} %\textsc{Hector}, \textit{a fast simulator for the transport of particles in beamlines}, 
@@ -1070,6 +1070,4 @@
 # In case FROG event display allowed
 NEvents_Frog      100
-# Number of events to process
-NEvents           -1                    // -1 means 'all'
 
 # input PDG tables
@@ -1079,5 +1077,5 @@
 
 In general, energies, momenta and masses are expressed in GeV, GeV$/c$, GeV$/c^2$ respectively, and  magnetic fields in T.
-Geometrical extension are often referred in terms of pseudorapidity $\eta$, as the detectors are supposed to be symmetric in $\phi$. The number of events to run is also included in the detector card (\texttt{NEvents}).
+Geometrical extension are often referred in terms of pseudorapidity $\eta$, as the detectors are supposed to be symmetric in $\phi$. From version 1.8 onwards, the number of events to run will also be included in the detector card (\texttt{NEvents}).
  
 \item{\bf The trigger card }