Index: /trunk/paper/notes.tex
===================================================================
--- /trunk/paper/notes.tex	(revision 475)
+++ /trunk/paper/notes.tex	(revision 476)
@@ -28,5 +28,5 @@
   \graphicspath{{all_png/}}
   \pdfinfo{
-   /Author (S. Ovyn, X. Rouby, V. Lemaitre)
+   /Author (S. Ovyn, X. Rouby)
    /Title  (Delphes, a framework for fast simulation of a generic collider experiment)
    /Subject ()
@@ -38,10 +38,9 @@
 
 \title{\textsc{Delphes}, a framework for fast simulation \\of a generic collider experiment}
-\author{S. Ovyn, X. Rouby$^\textrm{a}$ and V. Lema\^itre\\
+\author{S. Ovyn$^*$ and X. Rouby$^\textrm{a}$\\
 	\small{Center for Particle Physics and Phenomenology (CP3)}\\ 
 	\small{Universit\'e catholique de Louvain}\\ 
         \small{B-1348 Louvain-la-Neuve, Belgium}\\ \\
         \texttt{severine.ovyn@uclouvain.be, xavier.rouby@cern.ch} \\
-        \texttt{vincent.lemaitre@uclouvain.be} \\
 }
 \date{}
@@ -63,5 +62,5 @@
 a general-purpose experiment. The simulation includes a tracking system, embedded into a magnetic field, calorimetry and a muon
 system, and possible very forward detectors arranged along the beamline.
-The framework is interfaced to standard file formats (e.g.\ Les Houches Event File  or \texttt{HepMC}) and outputs observable objects for analysis, like missing transverse energy and collections of electrons or jets.
+The framework is interfaced to standard file formats (e.g.\ Les Houches Event File or \texttt{HepMC}) and outputs observable objects for analysis, like missing transverse energy and collections of electrons or jets.
 The simulation of detector response takes into account the detector resolution, and usual reconstruction algorithms, such as \textsc{FastJet}. A simplified preselection can also be applied on processed data for trigger emulation. Detection of very forward scattered particles relies on the transport in beamlines with the \textsc{Hector} software. Finally, the \textsc{Frog} 2D/3D event display is used for visualisation of the collision final states.
 An overview of \textsc{Delphes} is given as well as a few \textsc{lhc} use-cases for illustration.
@@ -71,8 +70,10 @@
 \textit{Keywords:} \textsc{Delphes}, fast simulation, trigger, event display, \textsc{lhc}, \textsc{FastJet}, \textsc{Hector}, \textsc{Frog}\\
 \href{http://www.fynu.ucl.ac.be/delphes.html}{http://www.fynu.ucl.ac.be/delphes.html}\\
+\textit{PACS:}  29.85.-c ~~~ 07.05.Tp ~~~ 29.90.+r ~~~ 29.50.+v\\
 \textit{Preprint:} \texttt{CP3-09-01}
 \vspace{1.5cm}
 
 \end{abstract}
+\small{$^{*}$ Corresponding author: +32.10.47.32.29.}
 \small{$^\textrm{a}$ Now in Physikalisches Institut, Albert-Ludwigs-Universit\"at Freiburg}
 ]
@@ -115,5 +116,5 @@
 Although this kind of approach yields much realistic results than a simple ``parton-level" analysis, a fast simulation comes with some limitations. Detector geometry is idealised, being uniform, symmetric around the beam axis, and having no cracks nor dead material. Secondary interactions, multiple scatterings, photon conversion and bremsstrahlung are also neglected.
 
-Four datafile formats can be used as input in \textsc{Delphes}\footnote{\texttt{[code] }See the \texttt{HEPEVTConverter}, \texttt{HepMCConverter}, \texttt{LHEFConverter} and \texttt{STDHEPConverter} classes.}. In order to process events from many different generators, the standard Monte Carlo event structure \texttt{StdHEP}~\cite{bib:stdhep} can be used as an input. Besides, \textsc{Delphes} can also provide detector response for events read in ``Les Houches Event Format'' (\textsc{lhef}~\cite{bib:lhe}) and \textsc{root} files obtained from \textsc{.hbook} using the \texttt{h2root} utility from the \textsc{root} framework~\cite{bib:Root}. 
+Four datafile formats can be used as input in \textsc{Delphes}\footnote{\texttt{[code] }See the \texttt{HEPEVTConverter}, \texttt{HepMCConverter}, \texttt{LHEFConverter} and \texttt{STDHEPConverter} classes.}. In order to process events from many different generators, the standard Monte Carlo event structures \texttt{StdHEP}~\cite{bib:stdhep} and \texttt{HepMC}~\cite{bib:hepmc} can be used as an input. Besides, \textsc{Delphes} can also provide detector response for events read in ``Les Houches Event Format'' (\textsc{lhef}~\cite{bib:lhe}) and \textsc{root} files obtained from \textsc{.hbook} using the \texttt{h2root} utility from the \textsc{root} framework~\cite{bib:Root}. 
 %Afterwards, \textsc{Delphes} performs a simple trigger simulation and reconstruct "high-level objects". These informations are organised in classes and each objects are ordered with respect to the transverse momentum. 
 
@@ -331,5 +332,5 @@
 
 \subsubsection*{Electrons and photons}
-Electron ($e^\pm$) and photon candidates are reconstructed if they fall into the acceptance of the tracking system and have a transverse momentum above a threshold (default $p_T > 10~\textrm{GeV}/c$). A calorimetric tower will be seen in the detector, an electrons will leave in addition a track. Subsequently, electrons and photons create a candidate in the jet collection.
+Electron ($e^\pm$) and photon candidates are reconstructed if they fall into the acceptance of the tracking system and have a transverse momentum above a threshold (default $p_T > 10~\textrm{GeV}/c$). A calorimetric tower will be seen in the detector, as electrons will leave in addition a track. Subsequently, electrons and photons create a candidate in the jet collection.
 Assuming a good measurement of the track parameters in the real experiment, the electron energy can be reasonably recovered. In \textsc{Delphes}, electron energy is smeared according to the resolution of the calorimetric tower where it points to, but independently from any other deposited energy is this tower. This approach is still conservative as the calorimeter resolution is worse than the tracker one.
 
@@ -498,5 +499,5 @@
 \subsubsection*{Tracking isolation}
 
-The tracking isolation for the $\tau$ identification requires that the number of tracks associated to particles with significant transverse momenta is one and only one in a cone of radius $R^\textrm{tracks}$ (3-prong $\tau$s are dropped). 
+The tracking isolation for the $\tau$ identification requires that the number of tracks associated to particles with significant transverse momenta is one and only one in a cone of radius $R^\textrm{tracks}$ ($3-$prong $\tau$-jets are dropped). 
 This cone should be entirely incorporated into the tracker to be taken into account. Default values of these parameters are given in Tab.~\ref{tab:tauRef}.
 
@@ -625,5 +626,6 @@
 \begin{center}
 \includegraphics[width=\columnwidth]{resolutionETmis}
-\caption{$\sigma(E^\textrm{miss}_{x})$ as a function on the scalar sum of all towers ($\Sigma E_T$) for $pp \rightarrow gg$ events.}
+\includegraphics[width=\columnwidth]{resolutionETmis_atlas}
+\caption{$\sigma(E^\textrm{mis}_{x})$ as a function on the scalar sum of all towers ($\Sigma E_T$) for $pp \rightarrow gg$ events, for a \textsc{cms}-like detector (top) and an \textsc{atlas}-like detector (bottom), for dijet events produced with MadGraph/MadEvent and hadronised with Pythia.}
 \label{fig:resolETmis}
 \end{center}
@@ -636,5 +638,5 @@
 where the $\alpha$ parameter depends on the resolution of the calorimeters. 
 
-The \textsc{met} resolution expected for the \textsc{cms} detector for similar events is $\sigma_x = (0.6-0.7) ~ \sqrt{E_T} ~ \mathrm{GeV}^{1/2}$ with no pile-up\footnote{\textit{Pile-up} events are extra simultaneous $pp$ collision occurring at high-luminosity in the same bunch crossing.}~\cite{bib:cmsjetresolution}, which compares very well with the $\alpha = 0.68$ obtained with \textsc{Delphes}.
+The \textsc{met} resolution expected for the \textsc{cms} detector for similar events is $\sigma_x = (0.6-0.7) ~ \sqrt{E_T} ~ \mathrm{GeV}^{1/2}$ with no pile-up\footnote{\textit{Pile-up} events are extra simultaneous $pp$ collision occurring at high-luminosity in the same bunch crossing.}~\cite{bib:cmsjetresolution}, which compares very well with the $\alpha = 0.68$ obtained with \textsc{Delphes}. Similarly, for an \textsc{atlas}-like detector, a value of $0.57$ is obtained by \textsc{Delphes} for the $\alpha$ parameter, while the experiment expects it in the range $[0.53~ ;~0.57]$~\cite{bib:ATLASresolution}.
 
 \subsection{\texorpdfstring{$\tau$}{\texttau}-jet efficiency}
@@ -1096,5 +1098,5 @@
 ~~~Particle & generator particles from \textsc{hepevt}     & {\verb GenParticle }\\
 \multicolumn{3}{l}{}\\
-{\bf Trigger tree } & &\\
+{\bf Trigger \textsc{tree} } & &\\
 ~~~TrigResult & Acceptance of different trigger-bits       & {\verb TRootTrigger }\\
 \multicolumn{3}{l}{}\\