Index: trunk/paper/sourceCode/JETResol.C
===================================================================
--- trunk/paper/sourceCode/JETResol.C	(revision 477)
+++ trunk/paper/sourceCode/JETResol.C	(revision 477)
@@ -0,0 +1,210 @@
+{
+//=========Macro generated from canvas: c2/JET resol
+//=========  (Fri Jun 19 15:50:00 2009) by ROOT version5.20/00
+   TCanvas *c2 = new TCanvas("c2", "JET resol",342,203,597,450);
+   gStyle->SetOptFit(1);
+   gStyle->SetOptStat(0);
+   c2->Range(-121.1613,0.8152498,874.2716,34.27834);
+   c2->SetFillColor(0);
+   c2->SetBorderMode(0);
+   c2->SetBorderSize(2);
+   c2->SetTickx(1);
+   c2->SetTicky(1);
+   c2->SetLeftMargin(0.13);
+   c2->SetRightMargin(0.05);
+   c2->SetTopMargin(0.05);
+   c2->SetBottomMargin(0.13);
+   c2->SetFrameFillStyle(0);
+   c2->SetFrameBorderMode(0);
+   c2->SetFrameFillStyle(0);
+   c2->SetFrameBorderMode(0);
+   
+   TGraph *graph = new TGraph(15);
+   graph->SetName("Graph");
+   graph->SetTitle("");
+
+   Int_t ci;   // for color index setting
+   ci = TColor::GetColor("#3333ff");
+   graph->SetFillColor(ci);
+   graph->SetMarkerStyle(3);
+   graph->SetPoint(0,5,19.11605);
+   graph->SetPoint(1,15,25.27396);
+   graph->SetPoint(2,25,22.45308);
+   graph->SetPoint(3,35,18.30321);
+   graph->SetPoint(4,45,17.1514);
+   graph->SetPoint(5,55,15.73424);
+   graph->SetPoint(6,65,14.17836);
+   graph->SetPoint(7,85.94222,12.10961);
+   graph->SetPoint(8,74.25089,13.14307);
+   graph->SetPoint(9,110,11.51238);
+   graph->SetPoint(10,130,10.83168);
+   graph->SetPoint(11,160,9.330358);
+   graph->SetPoint(12,200,8.666195);
+   graph->SetPoint(13,260,8.09707);
+   graph->SetPoint(14,750,6.974951);
+   
+   TH1 *Graph112 = new TH1F("Graph112","",100,0,824.5);
+   Graph112->SetMinimum(5.165452);
+   Graph112->SetMaximum(32.60519);
+   Graph112->SetDirectory(0);
+   Graph112->SetStats(0);
+   Graph112->SetLineStyle(0);
+   Graph112->SetMarkerStyle(20);
+   Graph112->GetXaxis()->SetTitle("E_{T}^{MC} [GeV]");
+   Graph112->GetXaxis()->SetRange(2,100);
+   Graph112->GetXaxis()->SetLabelFont(42);
+   Graph112->GetXaxis()->SetLabelOffset(0.007);
+   Graph112->GetXaxis()->SetTitleSize(0.05);
+   Graph112->GetXaxis()->SetTitleOffset(0.9);
+   Graph112->GetXaxis()->SetTitleFont(42);
+   Graph112->GetYaxis()->SetTitle("#sigma(E_{T}^{rec}/E_{T}^{MC})_{fit}/<E_{T}^{rec}/E_{T}^{MC}>_{fit}");
+   Graph112->GetYaxis()->SetLabelFont(42);
+   Graph112->GetYaxis()->SetLabelOffset(0.007);
+   Graph112->GetYaxis()->SetTitleSize(0.05);
+   Graph112->GetYaxis()->SetTitleOffset(1.05);
+   Graph112->GetYaxis()->SetTitleFont(42);
+   Graph112->GetZaxis()->SetLabelFont(42);
+   Graph112->GetZaxis()->SetLabelOffset(0.007);
+   Graph112->GetZaxis()->SetTitleSize(0.05);
+   Graph112->GetZaxis()->SetTitleFont(42);
+   graph->SetHistogram(Graph112);
+   
+   
+   TF1 *user = new TF1("user","sqrt(pow([0]/x,2)+pow([1]/sqrt(x),2)+pow([2],2))",10,800);
+   user->SetFillColor(19);
+   user->SetFillStyle(596);
+
+   ci = TColor::GetColor("#3333ff");
+   user->SetMarkerColor(ci);
+   user->SetMarkerStyle(3);
+
+   ci = TColor::GetColor("#3333ff");
+   user->SetLineColor(ci);
+   user->SetLineWidth(1);
+   user->SetLineStyle(7);
+   user->SetChisquare(7.655612);
+   user->GetXaxis()->SetLabelFont(42);
+   user->GetXaxis()->SetLabelOffset(0.007);
+   user->GetXaxis()->SetTitleSize(0.05);
+   user->GetXaxis()->SetTitleOffset(0.9);
+   user->GetXaxis()->SetTitleFont(42);
+   user->GetYaxis()->SetLabelFont(42);
+   user->GetYaxis()->SetLabelOffset(0.007);
+   user->GetYaxis()->SetTitleSize(0.05);
+   user->GetYaxis()->SetTitleOffset(1.05);
+   user->GetYaxis()->SetTitleFont(42);
+   user->SetParameter(0,4.23081e-08);
+   user->SetParError(0,75.81953);
+   user->SetParLimits(0,0,0);
+   user->SetParameter(1,102.0147);
+   user->SetParError(1,2.576386);
+   user->SetParLimits(1,0,0);
+   user->SetParameter(2,5.687143);
+   user->SetParError(2,0.6450141);
+   user->SetParLimits(2,0,0);
+   graph->GetListOfFunctions()->Add(user);
+   
+   TPaveStats *ptstats = new TPaveStats(0.5946463,0.760218,0.8642447,0.8855586,"brNDC");
+   ptstats->SetName("stats");
+   ptstats->SetBorderSize(1);
+   ptstats->SetFillColor(19);
+   ptstats->SetTextAlign(12);
+   ptstats->SetTextFont(42);
+   ptstats->SetOptStat(0);
+   ptstats->SetOptFit(0);
+   ptstats->Draw();
+   graph->GetListOfFunctions()->Add(ptstats);
+   ptstats->SetParent(graph->GetListOfFunctions());
+   graph->Draw("ap");
+   
+   TF1 *userDelphes = new TF1("userDelphes","sqrt(pow(102.0/sqrt(x),2)+pow(5.7,2))",7,1000);
+   userDelphes->SetFillColor(19);
+   userDelphes->SetFillStyle(0);
+   userDelphes->SetMarkerStyle(20);
+   userDelphes->SetLineWidth(1);
+   userDelphes->SetLineStyle(7);
+   userDelphes->GetXaxis()->SetLabelFont(42);
+   userDelphes->GetXaxis()->SetLabelOffset(0.007);
+   userDelphes->GetXaxis()->SetTitleSize(0.05);
+   userDelphes->GetXaxis()->SetTitleOffset(0.9);
+   userDelphes->GetXaxis()->SetTitleFont(42);
+   userDelphes->GetYaxis()->SetLabelFont(42);
+   userDelphes->GetYaxis()->SetLabelOffset(0.007);
+   userDelphes->GetYaxis()->SetTitleSize(0.05);
+   userDelphes->GetYaxis()->SetTitleOffset(1.05);
+   userDelphes->GetYaxis()->SetTitleFont(42);
+   userDelphes->Draw("same");
+   
+   TF1 *userCMS = new TF1("userCMS","sqrt(pow(1.17*100/sqrt(x),2)+pow(0.042*100,2))",10,800);
+   userCMS->SetFillColor(19);
+   userCMS->SetFillStyle(0);
+   userCMS->SetMarkerStyle(20);
+
+   ci = TColor::GetColor("#3333ff");
+   userCMS->SetLineColor(ci);
+   userCMS->SetLineWidth(1);
+   userCMS->GetXaxis()->SetLabelFont(42);
+   userCMS->GetXaxis()->SetLabelOffset(0.007);
+   userCMS->GetXaxis()->SetTitleSize(0.05);
+   userCMS->GetXaxis()->SetTitleOffset(0.9);
+   userCMS->GetXaxis()->SetTitleFont(42);
+   userCMS->GetYaxis()->SetLabelFont(42);
+   userCMS->GetYaxis()->SetLabelOffset(0.007);
+   userCMS->GetYaxis()->SetTitleSize(0.05);
+   userCMS->GetYaxis()->SetTitleOffset(1.05);
+   userCMS->GetYaxis()->SetTitleFont(42);
+   userCMS->Draw("same");
+   
+   TPaveText *pt = new TPaveText(0.5440613,0.5081967,0.6954023,0.557377,"brNDC");
+   pt->SetBorderSize(0);
+   pt->SetFillColor(10);
+   pt->SetTextFont(42);
+   pt->SetTextSize(0.04098361);
+   TText *text = pt->AddText("Events: pp #rightarrow gg ");
+   pt->Draw();
+   
+   pt = new TPaveText(0.6080306,0.3569482,0.7590822,0.4059946,"brNDC");
+   pt->SetBorderSize(0);
+   pt->SetFillColor(10);
+   pt->SetTextFont(42);
+   pt->SetTextSize(0.04098361);
+   text = pt->AddText("MG/ME + Pythia + Delphes");
+   pt->Draw();
+   
+   pt = new TPaveText(0.6398467,0.431694,0.7911877,0.4808743,"brNDC");
+   pt->SetBorderSize(0);
+   pt->SetFillColor(10);
+   pt->SetTextFont(42);
+   pt->SetTextSize(0.04098361);
+   text = pt->AddText("MidPoint cone algorithm, #Delta R=0.7");
+   pt->Draw();
+   
+   TLegend *leg = new TLegend(0.1988528,0.6594005,0.8986616,0.9073569,NULL,"brNDC");
+   leg->SetBorderSize(0);
+   leg->SetTextFont(62);
+   leg->SetLineColor(1);
+   leg->SetLineStyle(1);
+   leg->SetLineWidth(1);
+   leg->SetFillColor(10);
+   leg->SetFillStyle(1001);
+   TLegendEntry *entry=leg->AddEntry("userCMS","CMS resolution","l");
+
+   ci = TColor::GetColor("#3333ff");
+   entry->SetLineColor(ci);
+   entry->SetLineStyle(1);
+   entry->SetLineWidth(1);
+   entry->SetMarkerColor(1);
+   entry->SetMarkerStyle(21);
+   entry->SetMarkerSize(1);
+   entry=leg->AddEntry("userDelphes","Delphes resolution: #frac{#sigma(E_{T}^{rec}/E_{T}^{MC})}{<E_{T}^{rec}/E_{T}^{MC}>} = #frac{102.0}{#sqrt{E_{T}^{MC}}} #oplus 5.7","l");
+   entry->SetLineColor(1);
+   entry->SetLineStyle(7);
+   entry->SetLineWidth(1);
+   entry->SetMarkerColor(1);
+   entry->SetMarkerStyle(21);
+   entry->SetMarkerSize(1);
+   leg->Draw();
+   c2->Modified();
+   c2->cd();
+   c2->SetSelected(c2);
+}
Index: trunk/paper/sourceCode/METResol.C
===================================================================
--- trunk/paper/sourceCode/METResol.C	(revision 477)
+++ trunk/paper/sourceCode/METResol.C	(revision 477)
@@ -0,0 +1,126 @@
+{
+//=========Macro generated from canvas: c6/ETmis resolution
+//=========  (Fri Jun 19 15:48:54 2009) by ROOT version5.20/00
+   TCanvas *c6 = new TCanvas("c6", "ETmis resolution",334,132,597,452);
+   gStyle->SetOptFit(1);
+   gStyle->SetOptStat(0);
+   c6->Range(-94.17073,-2.698363,630.2195,18.599);
+   c6->SetFillColor(0);
+   c6->SetBorderMode(0);
+   c6->SetBorderSize(2);
+   c6->SetTickx(1);
+   c6->SetTicky(1);
+   c6->SetLeftMargin(0.13);
+   c6->SetRightMargin(0.05);
+   c6->SetTopMargin(0.05);
+   c6->SetBottomMargin(0.13);
+   c6->SetFrameFillStyle(0);
+   c6->SetFrameBorderMode(0);
+   c6->SetFrameFillStyle(0);
+   c6->SetFrameBorderMode(0);
+   
+   TGraph *graph = new TGraph(6);
+   graph->SetName("Graph");
+   graph->SetTitle("Graph");
+   graph->SetFillColor(1);
+   graph->SetMarkerStyle(3);
+   graph->SetPoint(0,220,9.191692);
+   graph->SetPoint(1,299.1884,11.33783);
+   graph->SetPoint(2,380,12.29548);
+   graph->SetPoint(3,460,13.59322);
+   graph->SetPoint(4,540,15.11147);
+   graph->SetPoint(5,0,2.195538e-266);
+   
+   TH1 *Graph111 = new TH1F("Graph111","Graph",100,0,594);
+   Graph111->SetMinimum(0.07029348);
+   Graph111->SetMaximum(17.53413);
+   Graph111->SetDirectory(0);
+   Graph111->SetStats(0);
+   Graph111->SetLineStyle(0);
+   Graph111->SetMarkerStyle(20);
+   Graph111->GetXaxis()->SetTitle("Offline sum of E_{T} [GeV]");
+   Graph111->GetXaxis()->SetLabelFont(42);
+   Graph111->GetXaxis()->SetLabelOffset(0.007);
+   Graph111->GetXaxis()->SetTitleSize(0.05);
+   Graph111->GetXaxis()->SetTitleOffset(0.9);
+   Graph111->GetXaxis()->SetTitleFont(42);
+   Graph111->GetYaxis()->SetTitle("Resolution of x-component  of MET [GeV]");
+   Graph111->GetYaxis()->SetLabelFont(42);
+   Graph111->GetYaxis()->SetLabelOffset(0.007);
+   Graph111->GetYaxis()->SetTitleSize(0.05);
+   Graph111->GetYaxis()->SetTitleOffset(1.05);
+   Graph111->GetYaxis()->SetTitleFont(42);
+   Graph111->GetZaxis()->SetLabelFont(42);
+   Graph111->GetZaxis()->SetLabelOffset(0.007);
+   Graph111->GetZaxis()->SetTitleSize(0.05);
+   Graph111->GetZaxis()->SetTitleFont(42);
+   graph->SetHistogram(Graph111);
+   
+   
+   TF1 *user = new TF1("user","[0]*sqrt(x)",0,600);
+   user->SetFillColor(19);
+   user->SetFillStyle(0);
+   user->SetMarkerStyle(20);
+
+   Int_t ci;   // for color index setting
+   ci = TColor::GetColor("#000099");
+   user->SetLineColor(ci);
+   user->SetLineWidth(1);
+   user->SetChisquare(0.2371125);
+   user->GetXaxis()->SetLabelFont(42);
+   user->GetXaxis()->SetLabelOffset(0.007);
+   user->GetXaxis()->SetTitleSize(0.05);
+   user->GetXaxis()->SetTitleOffset(0.9);
+   user->GetXaxis()->SetTitleFont(42);
+   user->GetYaxis()->SetLabelFont(42);
+   user->GetYaxis()->SetLabelOffset(0.007);
+   user->GetYaxis()->SetTitleSize(0.05);
+   user->GetYaxis()->SetTitleOffset(1.05);
+   user->GetYaxis()->SetTitleFont(42);
+   user->SetParameter(0,0.6390582);
+   user->SetParError(0,0.005585608);
+   user->SetParLimits(0,0,0);
+   graph->GetListOfFunctions()->Add(user);
+   
+   TPaveStats *ptstats = new TPaveStats(0.3333333,0.798913,0.3793103,0.8532609,"brNDC");
+   ptstats->SetName("stats");
+   ptstats->SetBorderSize(1);
+   ptstats->SetFillColor(19);
+   ptstats->SetTextAlign(12);
+   ptstats->SetTextFont(42);
+   TText *text = ptstats->AddText("#chi^{2} / ndf = 0.2371 / -1");
+   text = ptstats->AddText("p0       = 0.6391 #pm 0.005586 ");
+   ptstats->SetOptStat(0);
+   ptstats->SetOptFit(111);
+   ptstats->Draw();
+   graph->GetListOfFunctions()->Add(ptstats);
+   ptstats->SetParent(graph->GetListOfFunctions());
+   graph->Draw("ap");
+   
+   TPaveText *pt = new TPaveText(0.1915709,0.7744565,0.591954,0.861413,"brNDC");
+   pt->SetBorderSize(0);
+   pt->SetFillColor(10);
+   pt->SetTextFont(42);
+   pt->SetTextSize(0.04076087);
+   text = pt->AddText("E_{x}^{mis} resolution : 0.64 * #sqrt{E_{T}}");
+   pt->Draw();
+   
+   pt = new TPaveText(0.1628352,0.6956522,0.5,0.763587,"brNDC");
+   pt->SetBorderSize(0);
+   pt->SetFillColor(10);
+   pt->SetTextFont(42);
+   pt->SetTextSize(0.04076087);
+   text = pt->AddText("Events: pp #rightarrow gg");
+   pt->Draw();
+   
+   pt = new TPaveText(0.5747126,0.2527174,0.7260536,0.3016304,"brNDC");
+   pt->SetBorderSize(0);
+   pt->SetFillColor(10);
+   pt->SetTextFont(42);
+   pt->SetTextSize(0.04076087);
+   text = pt->AddText("MG/ME + Pythia + Delphes");
+   pt->Draw();
+   c6->Modified();
+   c6->cd();
+   c6->SetSelected(c6);
+}
Index: trunk/paper/sourceCode/performance.C
===================================================================
--- trunk/paper/sourceCode/performance.C	(revision 477)
+++ trunk/paper/sourceCode/performance.C	(revision 477)
@@ -0,0 +1,125 @@
+{
+//=========Macro generated from canvas: c1/c1
+//=========  (Mon Jan 26 21:40:59 2009) by ROOT version5.18/00
+   TCanvas *c1 = new TCanvas("c1", "c1",4,27,600,600);
+   gStyle->SetOptStat(0);
+   c1->Range(-5.097561,-80.25091,55.26829,668.5915);
+   c1->SetFillColor(0);
+   c1->SetBorderMode(0);
+   c1->SetBorderSize(2);
+   c1->SetTickx();
+   c1->SetTicky();
+   c1->SetLeftMargin(0.13);
+   c1->SetRightMargin(0.05);
+   c1->SetTopMargin(0.05);
+   c1->SetBottomMargin(0.13);
+   c1->SetFrameFillStyle(0);
+   c1->SetFrameBorderMode(0);
+   c1->SetFrameFillStyle(0);
+   c1->SetFrameBorderMode(0);
+   
+   TMultiGraph *multigraph = new TMultiGraph();
+   multigraph->SetName("");
+   multigraph->SetTitle("");
+   
+   TGraph *graph = new TGraph(6);
+   graph->SetName("Graph");
+   graph->SetTitle("Graph");
+   graph->SetFillColor(1);
+   graph->SetMarkerStyle(20);
+   graph->SetPoint(0,5,60.44);
+   graph->SetPoint(1,10,124.74);
+   graph->SetPoint(2,20,239.38);
+   graph->SetPoint(3,30,376.08);
+   graph->SetPoint(4,40,499.34);
+   graph->SetPoint(5,50,603.238);
+   
+   TF1 *fit = new TF1("fit","[0]+[1]*x",5,50);
+   fit->SetFillColor(19);
+   fit->SetFillStyle(0);
+   fit->SetMarkerStyle(20);
+   fit->SetLineWidth(1);
+   fit->SetLineStyle(2);
+   fit->SetChisquare(279.4312);
+   fit->GetXaxis()->SetLabelFont(42);
+   fit->GetXaxis()->SetLabelOffset(0.007);
+   fit->GetXaxis()->SetTitleSize(0.05);
+   fit->GetXaxis()->SetTitleOffset(0.9);
+   fit->GetXaxis()->SetTitleFont(42);
+   fit->GetYaxis()->SetLabelFont(42);
+   fit->GetYaxis()->SetLabelOffset(0.007);
+   fit->GetYaxis()->SetTitleSize(0.05);
+   fit->GetYaxis()->SetTitleOffset(1.05);
+   fit->GetYaxis()->SetTitleFont(42);
+   fit->SetParameter(0,1.450848);
+   fit->SetParError(0,7.509767);
+   fit->SetParLimits(0,0,0);
+   fit->SetParameter(1,12.22266);
+   fit->SetParError(1,0.2474776);
+   fit->SetParLimits(1,0,0);
+   graph->GetListOfFunctions()->Add(fit);
+   multigraph->Add(graph,"P");
+   
+   graph = new TGraph(6);
+   graph->SetName("Graph");
+   graph->SetTitle("Graph");
+   graph->SetFillColor(1);
+   graph->SetMarkerStyle(24);
+   graph->SetPoint(0,5,45.01);
+   graph->SetPoint(1,10,93.25);
+   graph->SetPoint(2,20,177.34);
+   graph->SetPoint(3,30,280.6);
+   graph->SetPoint(4,40,369.97);
+   graph->SetPoint(5,50,444.52);
+   multigraph->Add(graph,"P");
+   multigraph->Draw("A");
+   multigraph->GetXaxis()->SetTitle("N (kevts)");
+   multigraph->GetXaxis()->SetLabelFont(42);
+   multigraph->GetXaxis()->SetLabelOffset(0.007);
+   multigraph->GetXaxis()->SetTitleSize(0.05);
+   multigraph->GetXaxis()->SetTitleOffset(0.9);
+   multigraph->GetXaxis()->SetTitleFont(42);
+   multigraph->GetYaxis()->SetTitle("CPU time(s)");
+   multigraph->GetYaxis()->SetLabelFont(42);
+   multigraph->GetYaxis()->SetLabelOffset(0.007);
+   multigraph->GetYaxis()->SetTitleSize(0.05);
+   multigraph->GetYaxis()->SetTitleOffset(1.21);
+   multigraph->GetYaxis()->SetTitleFont(42);
+   
+   TPaveText *pt = new TPaveText(5,472,35,600,"r");
+   pt->SetBorderSize(0);
+   pt->SetFillColor(19);
+   pt->SetFillStyle(0);
+   pt->SetTextAlign(12);
+   pt->SetTextFont(42);
+   TText *text = pt->AddText("Delphes performances");
+   text = pt->AddText("1 kevts in 12.22 s");
+   text = pt->AddText("pp #rightarrow t #bar{t} X");
+   pt->Draw();
+   
+   TLegend *leg = new TLegend(0.6,0.2,0.9,0.4,NULL,"brNDC");
+   leg->SetBorderSize(0);
+   leg->SetLineColor(1);
+   leg->SetLineStyle(1);
+   leg->SetLineWidth(1);
+   leg->SetFillColor(19);
+   leg->SetFillStyle(0);
+   TLegendEntry *entry=leg->AddEntry("Graph","General","p");
+   entry->SetLineColor(1);
+   entry->SetLineStyle(1);
+   entry->SetLineWidth(1);
+   entry->SetMarkerColor(1);
+   entry->SetMarkerStyle(20);
+   entry->SetMarkerSize(1);
+   entry=leg->AddEntry("Graph","Event loop only","p");
+   entry->SetLineColor(1);
+   entry->SetLineStyle(1);
+   entry->SetLineWidth(1);
+   entry->SetMarkerColor(1);
+   entry->SetMarkerStyle(24);
+   entry->SetMarkerSize(1);
+   leg->Draw();
+   c1->Modified();
+   c1->cd();
+   c1->SetSelected(c1);
+}