Index: trunk/paper/notes.tex
===================================================================
--- trunk/paper/notes.tex	(revision 490)
+++ trunk/paper/notes.tex	(revision 491)
@@ -574,19 +574,22 @@
 \subsection{Jet resolution}
  
-The majority of interesting processes at the \textsc{lhc} contain jets in the final state. The jet resolution obtained using \textsc{Delphes} is therefore a crucial point for its validation. Even if \textsc{Delphes} contains six algorithms for jet reconstruction, we use here the jet clustering algorithm (\textsc{jetclu}) with $R=0.7$ to validate the jet collection. 
-
-This validation is based on $pp \rightarrow gg$ events produced with \textsc{MadGraph/MadEvent} and hadronised using \textsc{Pythia}~\cite{bib:mgme,bib:pythia}. The events were arranged in $14$ bins of gluon transverse momentum $\hat{p}_T$. In each $\hat{p}_T$ bin, every jet in \textsc{Delphes} is matched to the closest jet of generator-level particles, using the spatial separation between the two jet axes
+The majority of interesting processes at the \textsc{lhc} contain jets in the final state. The jet resolution obtained using \textsc{Delphes} is therefore a crucial point for its validation, both for \textsc{cms}- and \textsc{atlas}-like detectors.
+This validation is based on $pp \rightarrow gg$ events produced with \textsc{MadGraph/MadEvent} and hadronised using \textsc{Pythia}~\cite{bib:mgme,bib:pythia}.
+
+For a \textsc{cms}-like detector, a similar procedure as the one explained in public results is applied here.
+The events were arranged in $14$ bins of gluon transverse momentum $\hat{p}_T$. In each $\hat{p}_T$ bin, every jet in \textsc{Delphes} is matched to the closest jet of generator-level particles, using the spatial separation between the two jet axes
 \begin{equation}
-\Delta R = \sqrt{ \big(\eta^\textrm{rec} - \eta^\textrm{MC} \big)^2 +  \big(\phi^\textrm{rec} - \phi^\textrm{MC} \big)^2}<0.25. 
+\Delta R = \sqrt{ \big(\eta^\textrm{rec} - \eta^\textrm{MC} \big)^2 +  \big(\phi^\textrm{rec} - \phi^\textrm{MC} \big)^2}<0.25.
 \end{equation}
-The jets made of generator-level particles, here referred as \textit{MC jets}, are obtained by applying the same clustering algorithm to all particles considered as stable after hadronisation.
+The jets made of generator-level particles, here referred as \textit{MC jets}, are obtained by applying the algorithm to all particles considered as stable after hadronisation.
 Jets produced by \textsc{Delphes} and satisfying the matching criterion are called hereafter \textit{reconstructed jets}.
-
-The ratio of the transverse energies of every reconstructed jet $E_T^\textrm{rec}$ and its corresponding \textsc{mc} jet $E_T^\textrm{MC}$ is calculated in each $\hat{p}_T$ bin.
+All jets are computed with the clustering algorithm (\textsc{jetclu}) with a cone radius $R$ of $0.7$.
+
+The ratio of the transverse energies of every reconstructed jet $E_T^\textrm{rec}$ to its corresponding \textsc{mc} jet $E_T^\textrm{MC}$ is calculated in each $\hat{p}_T$ bin.
 The $E_T^\textrm{rec}/E_T^\textrm{MC}$ histogram is fitted with a Gaussian distribution in the interval \mbox{$\pm 2$~\textsc{rms}} centred around the mean value. 
 The resolution in each $\hat{p}_T$ bin is obtained by the fit mean $\langle x \rangle$ and variance $\sigma^2(x)$:
 \begin{equation}
 %\frac{\sigma(R_{jet})}{\langle R_{jet} \rangle }=
-\frac{\sigma \Big (\frac{E_T^{rec}}{E_T^{MC}} \Big)_\textrm{fit}}{ \Big \langle \frac{E_T^{rec}}{E_T^{MC}} \Big \rangle_\textrm{fit}}~
+\frac{\sigma \Big (\frac{E_T^\textrm{rec}}{E_T^\textrm{MC}} \Big)_\textrm{fit}}{ \Big \langle \frac{E_T^\textrm{rec}}{E_T^\textrm{MC}} \Big \rangle_\textrm{fit}}~
 \Big( \hat{p}_T(i) \Big)\textrm{, for all }i.
 \end{equation}
@@ -595,16 +598,33 @@
 \begin{center}
 \includegraphics[width=\columnwidth]{resolutionJet}
-\caption{Resolution of the transverse energy of reconstructed jets $E_T^\textrm{rec}$ as a function of the transverse energy of the closest jet of generator-level particles $E_T^\textrm{MC}$. The maximum separation between the reconstructed and \textsc{mc} jets is $\Delta R= 0.25$. Pink line is the fit result for comparison to the \textsc{cms} resolution~\cite{bib:cmsjetresolution}, in blue.}
-\label{fig:jetresol}
+%\includegraphics[width=\columnwidth]{fig8}
+\caption{Resolution of the transverse energy of reconstructed jets $E_T^\textrm{rec}$ as a function of the transverse energy of the closest jet of generator-level particles $E_T^\textrm{MC}$, in a \textsc{cms}-like detector. The jets events are reconstructed with the \textsc{jetclu} clustering algorithm with a cone radius of $0.7$. The maximum separation between the reconstructed and \textsc{mc}-jets is $\Delta R= 0.25$. Dotted line is the fit result for comparison to the \textsc{cms} resolution~\cite{bib:cmsjetresolution}, in blue. The $pp \rightarrow gg$ dijet events have been generated with \textsc{MadGraph/MadEvent} and hadronised with \textsc{Pythia}.}
+\label{fig:jetresolcms}
 \end{center}
 \end{figure}
  
-The resulting jet resolution as a function of $E_T^\textrm{MC}$ is shown in Fig.~\ref{fig:jetresol}. 
+The resulting jet resolution as a function of $E_T^\textrm{MC}$ is shown in Fig.~\ref{fig:jetresolcms}. 
 This distribution is fitted with a function of the following form:
 \begin{equation}
 \frac{a}{E_T^\textrm{MC}}\oplus \frac{b}{\sqrt{E_T^\textrm{MC}}}\oplus c,
+\label{eq:fitresolution}
 \end{equation}
 where $a$, $b$ and $c$ are the fit parameters. 
 It is then compared to the resolution published by the \textsc{cms} collaboration~\cite{bib:cmsjetresolution}. The resolution curves from \textsc{Delphes} and \textsc{cms} are in good agreement.
+
+Similarly, the jet resolution is evaluated for an \textsc{atlas}-like detector. The $pp \rightarrow gg$ events are here arranged in $8$ adjacent bins in $p_T$. A $k_T$ reconstruction algorithm with $R=0.6$ is chosen and the maximal matching distance between the \textsc{mc}-jets and the reconstructed jets is set to $\Delta R=0.2$. The relative energy resolution is evaluated in each bin by:
+\begin{equation}
+\frac{\sigma(E)}{E} = \sqrt{~~ \Bigg \langle ~\Bigg( \frac{E^\textrm{rec} - E^\textrm{MC}}{E^\textrm{rec}} \Bigg)^2 ~ \Bigg \rangle ~ - ~ \Bigg \langle \frac{E^\textrm{rec} - E^\textrm{MC}}{ E^\textrm{rec} } \Bigg \rangle^2}.
+\end{equation}
+
+Figure~\ref{fig:jetresolatlas} shows a good agreement between the resolution obtained with \textsc{Delphes}, the result of the fit with Equation~\ref{eq:fitresolution} and the corresponding curve provided by the \textsc{atlas} collaboration~\cite{bib:ATLASresolution}.
+
+\begin{figure}[!h]
+\begin{center}
+\includegraphics[width=\columnwidth]{fig8b}
+\caption{Relative energy resolution of reconstructed jets as a function of the energy of the closest jet of generator-level particles $E^\textrm{MC}$, in an \textsc{atlas}-like detector. The jets are reconstructed with the $k_T$ algorithm with a radius $R=0.6$. The maximal matching distance between \textsc{mc}- and reconstructed jets is $\Delta R=0.2$. Only central jets are considered ($|\eta|<0.5$). Dotted line is the fit result for comparison to the \textsc{atlas} resolution~\cite{bib:ATLASresolution}, in blue. The $pp \rightarrow gg$ di-jet events have been generated with \textsc{MadGraph/MadEvent} and hadronised with \textsc{Pythia}.}
+\label{fig:jetresolatlas}
+\end{center}
+\end{figure}
  
 \subsection{MET resolution}
@@ -621,5 +641,5 @@
 The distribution of the difference between $E_x^\textrm{miss}$ in \textsc{Delphes} and at generator-level is fitted with a Gaussian function in each $(\Sigma E_T)$ bin. The fit \textsc{rms} gives the \textsc{met} resolution in each bin.
 The resulting value is plotted in Fig.~\ref{fig:resolETmis} as a function of the total visible transverse 
-energy.
+energy, for \textsc{cms}- and \textsc{atlas}-like detectors.
  
 \begin{figure}[!h]
@@ -627,5 +647,5 @@
 \includegraphics[width=\columnwidth]{resolutionETmis}
 \includegraphics[width=\columnwidth]{resolutionETmis_atlas}
-\caption{$\sigma(E^\textrm{mis}_{x})$ as a function on the scalar sum of all towers ($\Sigma E_T$) for $pp \rightarrow gg$ events, for a \textsc{cms}-like detector (top) and an \textsc{atlas}-like detector (bottom), for dijet events produced with MadGraph/MadEvent and hadronised with Pythia.}
+\caption{$\sigma(E^\textrm{mis}_{x})$ as a function on the scalar sum of all towers ($\Sigma E_T$) for $pp \rightarrow gg$ events, for a \textsc{cms}-like detector (top) and an \textsc{atlas}-like detector (bottom), for di-jet events produced with \textsc{MadGraph/MadEvent} and hadronised with \textsc{Pythia}.}
 \label{fig:resolETmis}
 \end{center}
@@ -638,5 +658,5 @@
 where the $\alpha$ parameter depends on the resolution of the calorimeters. 
 
-The \textsc{met} resolution expected for the \textsc{cms} detector for similar events is $\sigma_x = (0.6-0.7) ~ \sqrt{E_T} ~ \mathrm{GeV}^{1/2}$ with no pile-up\footnote{\textit{Pile-up} events are extra simultaneous $pp$ collision occurring at high-luminosity in the same bunch crossing.}~\cite{bib:cmsjetresolution}, which compares very well with the $\alpha = 0.63$ obtained with \textsc{Delphes}. Similarly, for an \textsc{atlas}-like detector, a value of $0.56$ is obtained by \textsc{Delphes} for the $\alpha$ parameter, while the experiment expects it in the range $[0.53~ ;~0.57]$~\cite{bib:ATLASresolution}.
+The \textsc{met} resolution expected for the \textsc{cms} detector for similar events is $\sigma_x = (0.6-0.7) ~ \sqrt{E_T} ~ \mathrm{GeV}^{1/2}$ with no pile-up\footnote{\textit{Pile-up} events are extra simultaneous $pp$ collision occurring at high-luminosity in the same bunch crossing.}~\cite{bib:cmsjetresolution}, which compares very well with the $\alpha = 0.63$ obtained with \textsc{Delphes}. Similarly, for an \textsc{atlas}-like detector, a value of $0.53$ is obtained by \textsc{Delphes} for the $\alpha$ parameter, while the experiment expects it in the range $[0.53~ ;~0.57]$~\cite{bib:ATLASresolution}.
 
 \subsection{\texorpdfstring{$\tau$}{\texttau}-jet efficiency}