Index: trunk/data/DetectorCard_ATLAS.dat
===================================================================
--- trunk/data/DetectorCard_ATLAS.dat	(revision 492)
+++ trunk/data/DetectorCard_ATLAS.dat	(revision 494)
@@ -3,33 +3,39 @@
 
 # Detector extension, in pseudorapidity units
-CEN_max_tracker    2.5                // Maximum tracker coverage          
-CEN_max_calo_cen   3.2                // central calorimeter coverage
-CEN_max_calo_fwd   4.9                // forward calorimeter pseudorapidity coverage
-CEN_max_mu         2.7                // muon chambers pseudorapidity coverage
+CEN_max_tracker    2.5              // Maximum tracker coverage          
+CEN_max_calo_cen   1.7              // central calorimeter coverage
+CEN_max_calo_ec    3.2              // end-cap calorimeter coverage
+CEN_max_calo_fwd   4.9              // forward calorimeter pseudorapidity coverage
+CEN_max_mu         2.7              // muon chambers pseudorapidity coverage
   
-# Energy resolution for electron/photon
+# Energy resolution for electron/photon in central/endcap/fwd/zdc calos
 # \sigma/E = C + N/E + S/\sqrt{E}, E in GeV
-ELG_Scen          0.10                // S term for central ECAL  http://arxiv.org/pdf/physics/0608012v1
-ELG_Ncen          0.0                 // N term for central ECAL  http://arxiv.org/pdf/physics/0608012v1
-ELG_Ccen          0.0017              // C term for central ECAL  http://arxiv.org/pdf/physics/0608012v1
-ELG_Sfwd          0.30407             // S term for forward FCAL  http://villaolmo.mib.infn.it/ICATPP9th_2005/Calorimetry/Schram.p.pdf
-ELG_Nfwd          1.1533              // N term for central FCAL  http://villaolmo.mib.infn.it/ICATPP9th_2005/Calorimetry/Schram.p.pdf
-ELG_Cfwd          0.0313              // C term for forward FCAL  http://villaolmo.mib.infn.it/ICATPP9th_2005/Calorimetry/Schram.p.pdf
+ELG_Scen          0.101             // S term for central ECAL  http://arxiv.org/pdf/physics/0608012v1 ; jinst8_08_s08003
+ELG_Ncen          0.0               // N term  
+ELG_Ccen          0.0017            // C term  
+ELG_Sec           0.101             // S term for ECAL endcap
+ELG_Nec           0.0               // N term  
+ELG_Cec           0.0017            // C term 
+ELG_Sfwd          0.285             // S term for forward FCAL  http://villaolmo.mib.infn.it/ICATPP9th_2005/Calorimetry/Schram.p.pdf
+ELG_Nfwd          0                 // N term  
+ELG_Cfwd          0.035             // C term  
 ELG_Szdc          0.70              // S term for ZDC
-ELG_Nzdc          0.0               // N term for ZDC
-ELG_Czdc          0.08              // C term for ZDC
+ELG_Nzdc          0.0               // N term  
+ELG_Czdc          0.08              // C term  
 
-
-# Energy resolution for hadrons in ecal/hcal/hf
+# Energy resolution for hadrons in central/endcap/fwd/zdc calos
 # \sigma/E = C + N/E + S/\sqrt{E}, E in GeV
-HAD_Shcal         0.58               // S term for central HCAL    http://arxiv.org/pdf/hep-ex/0004009v1
-HAD_Nhcal         1.7                // N term for central HCAL    http://arxiv.org/pdf/hep-ex/0004009v1
-HAD_Chcal         0.025              // C term for central HCAL    http://arxiv.org/pdf/hep-ex/0004009v1
-HAD_Shf           0.9681             // S term for FCAL            http://villaolmo.mib.infn.it/ICATPP9th_2005/Calorimetry/Schram.p.pdf
-HAD_Nhf           0.                 // N term for FCAL            http://villaolmo.mib.infn.it/ICATPP9th_2005/Calorimetry/Schram.p.pdf
-HAD_Chf           0.0524             // C term for FCAL            http://villaolmo.mib.infn.it/ICATPP9th_2005/Calorimetry/Schram.p.pdf
+HAD_Scen          0.5205            // S term for central HCAL    http://arxiv.org/pdf/hep-ex/0004009v1
+HAD_Ncen          1.59              // N term
+HAD_Ccen          0.0302            // C term
+HAD_Sec           0.706             // S term for HCAL endcap 
+HAD_Nec           0                 // N term
+HAD_Cec           0.05              // C term
+HAD_Sfwd          0.942             // S term for FCAL            http://villaolmo.mib.infn.it/ICATPP9th_2005/Calorimetry/Schram.p.pdf
+HAD_Nfwd          0.                // N term 
+HAD_Cfwd          0.075             // C term 
 HAD_Szdc          1.38              // S term for ZDC
-HAD_Nzdc          0.                // N term for ZDC
-HAD_Czdc          0.13              // C term for ZDC
+HAD_Nzdc          0.                // N term 
+HAD_Czdc          0.13              // C term 
 
 # Time resolution for ZDC/RP220/RP420
@@ -111,11 +117,12 @@
 VFD_s_zdc         140                   // distance of the Zero Degree Calorimeter, from the IP, in [m]
 
+#Hector parameters
 RP_220_s          220                   // distance of the RP to the IP, in meters
 RP_220_x          0.002                 // distance of the RP to the beam, in meters
 RP_420_s          420                   // distance of the RP to the IP, in meters
 RP_420_x          0.004                 // distance of the RP to the beam, in meters
-RP_beam1Card      data/LHCB1IR1.tfs
-RP_beam2Card      data/LHCB2IR1.tfs
-RP_IP_name        IP1
+RP_beam1Card      data/LHCB1IR1.tfs     // beam optics file, beam 1
+RP_beam2Card      data/LHCB2IR1.tfs     // beam optics file, beam 2
+RP_IP_name        IP1                   // tag for IP in Hector ; 'IP1' for ATLAS
 RP_offsetEl_x     0.097                 // horizontal separation between both beam, in meters
 RP_offsetEl_y     0                     // vertical separation between both beam, in meters