Index: trunk/paper/CommPhysComp/notes.tex
===================================================================
--- trunk/paper/CommPhysComp/notes.tex	(revision 490)
+++ trunk/paper/CommPhysComp/notes.tex	(revision 495)
@@ -161,5 +161,5 @@
 
 The overall layout of the general-purpose detector simulated by \textsc{Delphes} is shown in Fig.~\ref{fig:GenDet3}. 
-A central tracking system (\textsc{tracker}) is surrounded by an electromagnetic and a hadron calorimeters (\textsc{ecal} and \textsc{hcal}, resp.). Two forward calorimeters (\textsc{fcal}) ensure a larger geometric coverage for the measurement of the missing transverse energy. Finally, a muon system (\textsc{muon}) encloses the central detector volume
+A central tracking system (\textsc{tracker}) is surrounded by an electromagnetic and a hadron calorimeters (\textsc{ecal} and \textsc{hcal}, resp., each with a central region and two endcaps). Two forward calorimeters (\textsc{fcal}) ensure a larger geometric coverage for the measurement of the missing transverse energy. Finally, a muon system (\textsc{muon}) encloses the central detector volume
 The fast simulation of the detector response takes into account geometrical acceptance of sub-detectors and their finite resolution, as defined in the detector data card\footnote{\texttt{[code] }See the \texttt{RESOLution} class.}. 
 If no such file is provided, predefined values based on ``typical'' \textsc{cms} acceptances and resolutions are used\footnote{\texttt{[code] }Detector and trigger cards for the \textsc{atlas} and \textsc{cms} experiments are also provided in \texttt{data/} directory.}. The geometrical coverage of the various subsystems used in the default configuration are summarised in Tab.~\ref{tab:defEta}.
@@ -174,5 +174,6 @@
 Subdetector & & $\eta$ & $\phi$ \\
 \textsc{tracker} 	& {\verb CEN_max_tracker } 	& $[-2.5; 2.5]$ 	& $[-\pi ; \pi]$\\
-\textsc{ecal}, \textsc{hcal} & {\verb CEN_max_calo_cen }& $[-3.0 ; 3.0]$	& $[-\pi ; \pi]$\\
+\textsc{ecal}, \textsc{hcal} & {\verb CEN_max_calo_cen }& $[-1.7 ; 1.7]$	& $[-\pi ; \pi]$\\
+\textsc{ecal}, \textsc{hcal} endcaps & {\verb CEN_max_calo_ec }& $[-3 ; -1.7] \& [1.7 ; 3]$	& $[-\pi ; \pi]$\\
 \textsc{fcal} 		& {\verb CEN_max_calo_fwd } 	& $[-5 ; -3]$ \& $[3 ;5]$     & $[-\pi ; \pi]$\\
 \textsc{muon} 		& {\verb CEN_max_mu } 		& $[-2.4 ; 2.4]$        & $[-\pi ; \pi]$\\ \hline
@@ -234,4 +235,8 @@
         & $N$ (GeV)& {\verb ELG_Ncen }  & $0.25$ \\
         & $C$ & {\verb ELG_Ccen }  & $0.0055$ \\
+ \multicolumn{4}{l}{\textsc{ecal}, end caps} \\
+        & $S$ (GeV$^{1/2}$) & {\verb ELG_Sec }  & $0.05$ \\
+        & $N$ (GeV)& {\verb ELG_Nec }  & $0.25$ \\
+        & $C$ & {\verb ELG_Cec }  & $0.0055$ \\
  \multicolumn{4}{l}{\textsc{fcal}, electromagnetic part} \\
         & $S$ (GeV$^{1/2}$)& {\verb ELG_Sfwd }  & $2.084$ \\
@@ -239,11 +244,15 @@
         & $C$ & {\verb ELG_Cfwd }  & $0.107$ \\
  \multicolumn{4}{l}{\textsc{hcal}} \\
-        & $S$ (GeV$^{1/2}$)& {\verb HAD_Shcal } & $1.5$ \\
-        & $N$ (GeV)& {\verb HAD_Nhcal } & $0$\\
-        & $C$ & {\verb HAD_Chcal } & $0.05$\\
+        & $S$ (GeV$^{1/2}$)& {\verb HAD_Scen } & $1.5$ \\
+        & $N$ (GeV)& {\verb HAD_Ncen } & $0$\\
+        & $C$ & {\verb HAD_Ccen } & $0.05$\\
+ \multicolumn{4}{l}{\textsc{hcal}, end caps} \\
+        & $S$ (GeV$^{1/2}$)& {\verb HAD_Sec } & $1.5$ \\
+        & $N$ (GeV)& {\verb HAD_Nec } & $0$\\
+        & $C$ & {\verb HAD_Cec } & $0.05$\\
  \multicolumn{4}{l}{\textsc{fcal}, hadronic part} \\
-        & $S$ (GeV$^{1/2}$)& {\verb HAD_Shf }   & $2.7$\\
-        & $N$ (GeV)& {\verb HAD_Nhf }   & $0$ \\
-        & $C$ & {\verb HAD_Chf }   & $0.13$\\
+        & $S$ (GeV$^{1/2}$)& {\verb HAD_Sfwd }   & $2.7$\\
+        & $N$ (GeV)& {\verb HAD_Nfwd }   & $0$ \\
+        & $C$ & {\verb HAD_Cfwd }   & $0.13$\\
 \hline
 \end{tabular}
@@ -941,31 +950,38 @@
 # Detector extension, in pseudorapidity units (|eta|)
 CEN_max_tracker    2.5     // Maximum tracker coverage
-CEN_max_calo_cen   3.0     // central calorimeter coverage
+CEN_max_calo_cen   1.7     // central calorimeter coverage
+CEN_max_calo_ec    3.0     // calorimeter endcap coverage
 CEN_max_calo_fwd   5.0     // forward calorimeter pseudorapidity coverage
 CEN_max_mu         2.4     // muon chambers pseudorapidity coverage
  
-# Energy resolution for electron/photon
+# Energy resolution for electron/photon in central/endcap/fwd/zdc calos
 # \sigma/E = C + N/E + S/\sqrt{E}, E in GeV
 ELG_Scen          0.05     // S term for central ECAL
-ELG_Ncen          0.25     // N term for central ECAL
-ELG_Ccen          0.005    // C term for central ECAL
+ELG_Ncen          0.25     // N term 
+ELG_Ccen          0.005    // C term 
+ELG_Sec           0.05     // S term for ECAL endcap
+ELG_Nec           0.25     // N term
+ELG_Cec           0.005    // C term
 ELG_Sfwd          2.084    // S term for FCAL
-ELG_Nfwd          0.       // N term for FCAL
-ELG_Cfwd          0.107    // C term for FCAL
+ELG_Nfwd          0.       // N term 
+ELG_Cfwd          0.107    // C term 
 ELG_Szdc          0.70     // S term for ZDC
-ELG_Nzdc          0.       // N term for ZDC
-ELG_Czdc          0.08     // C term for ZDC
-
-# Energy resolution for hadrons in ecal/hcal/hf
+ELG_Nzdc          0.       // N term 
+ELG_Czdc          0.08     // C term 
+
+# Energy resolution for hadrons in central/endcap/fwd/zdc calos
 # \sigma/E = C + N/E + S/\sqrt{E}, E in GeV
-HAD_Shcal         1.5      // S term for central HCAL
-HAD_Nhcal         0.       // N term for central HCAL
-HAD_Chcal         0.05     // C term for central HCAL
-HAD_Shf           2.7      // S term for FCAL
-HAD_Nhf           0.       // N term for FCAL
-HAD_Chf           0.13     // C term for FCAL
+HAD_Scen          1.5      // S term for central HCAL
+HAD_Ncen          0.       // N term 
+HAD_Ccen          0.05     // C term
+HAD_Sec           1.5      // S term for HCAL endcap
+HAD_Nec           0.       // N term
+HAD_Cec           0.05     // C term 
+HAD_Sfwd          2.7      // S term for FCAL
+HAD_Nfwd          0.       // N term 
+HAD_Cfwd          0.13     // C term 
 HAD_Szdc          1.38     // S term for ZDC
-HAD_Nzdc          0.       // N term for ZDC
-HAD_Czdc          0.13     // C term for ZDC
+HAD_Nzdc          0.       // N term 
+HAD_Czdc          0.13     // C term
 
 # Time resolution for ZDC/RP220/RP420
@@ -1024,18 +1040,19 @@
 ISOL_PT          2.0  //minimal pt of tracks for isolation criteria
 ISOL_Cone        0.5  //Cone  for isolation criteria
+ISOL_Calo_Cone   0.4  //Cone for calorimetric isolation
 ISOL_Calo_ET     2.0  //minimal tower E_T for isolation criteria. 1E99 means "off"
 ISOL_Calo_Grid   3    //Grid size (N x N) for calorimetric isolation
 
 # General jet variable
-JET_coneradius   0.7    // generic jet radius 
-JET_jetalgo      1      // 1 for Cone algorithm, 
-                        // 2 for MidPoint algorithm, 
-                        // 3 for SIScone algorithm, 
-                        // 4 for kt algorithm
-                        // 5 for Cambridge/Aachen algorithm
-                        // 6 for anti-kt algorithm
-JET_seed         1.0    // minimum seed to start jet reconstruction, in GeV
-JET_Eflow        1      // Energy flow: perfect energy assumed in the tracker coverage.
-                        // 1 is 'on' ; 0 is 'off'
+JET_coneradius   0.7  // generic jet radius 
+JET_jetalgo      1    // 1 for Cone algorithm, 
+                      // 2 for MidPoint algorithm, 
+                      // 3 for SIScone algorithm, 
+                      // 4 for kt algorithm
+                      // 5 for Cambridge/Aachen algorithm
+                      // 6 for anti-kt algorithm
+JET_seed         1.0  // minimum seed to start jet reconstruction, in GeV
+JET_Eflow        1    // Energy flow: perfect energy assumed in the tracker coverage.
+                      // 1 is 'on' ; 0 is 'off'
 \end{verbatim}
 \end{quote}
@@ -1044,27 +1061,27 @@
 \begin{verbatim}
 # Tagging definition 
-BTAG_b           40      // b-tag efficiency (%)
-BTAG_mistag_c    10      // mistagging (%)
-BTAG_mistag_l    1       // mistagging (%)
+BTAG_b           40    // b-tag efficiency (%)
+BTAG_mistag_c    10    // mistagging (%)
+BTAG_mistag_l    1     // mistagging (%)
  
 # FLAGS
-FLAG_bfield      1       //1 to run the bfield propagation else 0
-FLAG_vfd         1       //1 to run the very forward detectors else 0
-FLAG_RP          1       //1 to run the very forward detectors else 0
-FLAG_trigger     1       //1 to run the trigger selection else 0
-FLAG_frog        1       //1 to run the FROG event display
-FLAG_lhco        1       //1 to run the LHCO
+FLAG_bfield      1     //1 to run the bfield propagation else 0
+FLAG_vfd         1     //1 to run the very forward detectors else 0
+FLAG_RP          1     //1 to run the very forward detectors else 0
+FLAG_trigger     1     //1 to run the trigger selection else 0
+FLAG_frog        1     //1 to run the FROG event display
+FLAG_lhco        1     //1 to run the LHCO
 
 # In case BField propagation allowed
-TRACK_radius      129     // radius of the BField coverage, in cm
-TRACK_length      300     // length of the BField coverage, in cm
-TRACK_bfield_x    0       // X component of the BField, in T
-TRACK_bfield_y    0       // Y component of the BField, in T
-TRACK_bfield_z    3.8     // Z component of the BField, in T
+TRACK_radius      129   // radius of the BField coverage, in cm
+TRACK_length      300   // length of the BField coverage, in cm
+TRACK_bfield_x    0     // X component of the BField, in T
+TRACK_bfield_y    0     // Y component of the BField, in T
+TRACK_bfield_z    3.8   // Z component of the BField, in T
 
 # Very forward detector extension, in pseudorapidity
 # if allowed
-VFD_min_zdc       8.3     // Zero-Degree neutral Calorimeter
-VFD_s_zdc         140     // distance of the ZDC, from the IP, in [m]
+VFD_min_zdc       8.3   // Zero-Degree neutral Calorimeter
+VFD_s_zdc         140   // distance of the ZDC, from the IP, in [m]
 \end{verbatim}
 \end{quote}
@@ -1102,5 +1119,5 @@
 
 In general, energies, momenta and masses are expressed in GeV, GeV$/c$, GeV$/c^2$ respectively, and  magnetic fields in T.
-Geometrical extension are often referred in terms of pseudorapidity $\eta$, as the detectors are supposed to be symmetric in $\phi$. From version 1.8 onwards, the number of events to run will also be included in the detector card (\texttt{NEvents}).
+Geometrical extension are often referred in terms of pseudorapidity $\eta$, as the detectors are supposed to be symmetric in $\phi$. From version 1.8 onwards, the number of events to run is also be included in the detector card (\texttt{NEvents}). For version 1.7 and earlier, the parameters related to the calorimeter endcaps (\texttt{CEN\_max\_calo\_ec}, \texttt{ELG\_Sec}, \texttt{ELG\_Nec}, \texttt{ELG\_Cec}, \texttt{HAD\_Sec}, \texttt{HAD\_Nec} and \texttt{HAD\_Cec}) did not exist in the detector cards; in addition, some other variables had different names (\texttt{HAD\_Scen} was \texttt{HAD\_Sfcal}, \texttt{HAD\_Ncen} was \texttt{HAD\_Nfcal}, \texttt{HAD\_Ccen} was \texttt{HAD\_Cfcal}, \texttt{HAD\_Sfwd} was \texttt{HAD\_Shf}, \texttt{HAD\_Nfwd} was \texttt{HAD\_Nhf}, \texttt{HAD\_Cfwd} was \texttt{HAD\_Chf}). However, these cards are still completely compatible with new versions of \textsc{Delphes}. In such a case, the calorimeter endcaps are simply assumed to be located at the edge of the central calorimeter volumes, with the same resolution values.
  
 \item{\bf The trigger card }
@@ -1394,5 +1411,5 @@
 \end{verbatim}
  \end{quote}
-One can easily edit, modify and compile (\begin{verbatim}make\end{verbatim}) changes in this file.
+One can easily edit, modify and compile (\texttt{make}) changes in this file.
 
 \subsubsection{Adding the trigger information}