Index: cards/delphes_card_CLICdet_Stage1.tcl
===================================================================
--- cards/delphes_card_CLICdet_Stage1.tcl	(revision 6182516c8567a30a2c728fad80c67eb1b35c6ee4)
+++ cards/delphes_card_CLICdet_Stage1.tcl	(revision 505a779291d7d7ad4a6bed023ddad5b86e5b5d50)
@@ -1,5 +1,7 @@
 #######################################
 # CLICdet model
-# based on CLICdp-Note-2017-001
+# based on arXiv:1812.07337 and
+# CLICdp-Note-2017-001
+#
 # Ulrike Schnoor ulrike.schnoor@cern.ch
 # 
@@ -11,4 +13,9 @@
 # according to final state
 # 
+# c-tagging capabilities of CLICdet are
+# not yet implemented here. Please
+# contact us if you want to use it.
+#######################################
+
 #######################################
 # Order of execution of various modules
@@ -707,9 +714,9 @@
     set OutputArray photons
 
-    set DeltaRMax 0.5
+    set DeltaRMax 0.1
 
     set PTMin 0.5
 
-    set PTRatioMax 0.12
+    set PTRatioMax 0.2
 }
 
@@ -805,9 +812,9 @@
     set OutputArray electrons
 
-    set DeltaRMax 0.5
+    set DeltaRMax 0.1
 
     set PTMin 0.5
 
-    set PTRatioMax 0.12
+    set PTRatioMax 0.2
 }
 
@@ -844,9 +851,9 @@
     set OutputArray muons
 
-    set DeltaRMax 0.5
+    set DeltaRMax 0.1
 
     set PTMin 0.5
 
-    set PTRatioMax 0.25
+    set PTRatioMax 0.2
 }
 
Index: cards/delphes_card_CLICdet_Stage2.tcl
===================================================================
--- cards/delphes_card_CLICdet_Stage2.tcl	(revision 6182516c8567a30a2c728fad80c67eb1b35c6ee4)
+++ cards/delphes_card_CLICdet_Stage2.tcl	(revision 505a779291d7d7ad4a6bed023ddad5b86e5b5d50)
@@ -1,5 +1,7 @@
 #######################################
 # CLICdet model
-# based on CLICdp-Note-2017-001
+# based on arXiv:1812.07337 and
+# CLICdp-Note-2017-001
+#
 # Ulrike Schnoor ulrike.schnoor@cern.ch
 # 
@@ -11,4 +13,9 @@
 # according to final state
 # 
+# c-tagging capabilities of CLICdet are
+# not yet implemented here. Please
+# contact us if you want to use it.
+#######################################
+
 #######################################
 # Order of execution of various modules
@@ -739,9 +746,9 @@
     set OutputArray photons
 
-    set DeltaRMax 0.5
+    set DeltaRMax 0.1
 
     set PTMin 0.5
 
-    set PTRatioMax 0.12
+    set PTRatioMax 0.2
 }
 
@@ -837,9 +844,9 @@
     set OutputArray electrons
 
-    set DeltaRMax 0.5
+    set DeltaRMax 0.1
 
     set PTMin 0.5
 
-    set PTRatioMax 0.12
+    set PTRatioMax 0.2
 }
 
@@ -875,9 +882,9 @@
     set OutputArray muons
 
-    set DeltaRMax 0.5
+    set DeltaRMax 0.1
 
     set PTMin 0.5
 
-    set PTRatioMax 0.25
+    set PTRatioMax 0.2
 }
 
Index: cards/delphes_card_CLICdet_Stage3.tcl
===================================================================
--- cards/delphes_card_CLICdet_Stage3.tcl	(revision 6182516c8567a30a2c728fad80c67eb1b35c6ee4)
+++ cards/delphes_card_CLICdet_Stage3.tcl	(revision 505a779291d7d7ad4a6bed023ddad5b86e5b5d50)
@@ -1,7 +1,8 @@
 #######################################
 # CLICdet model
-# based on CLICdp-Note-2017-001
+# based on arXiv:1812.07337 and
+# CLICdp-Note-2017-001
+#
 # Ulrike Schnoor ulrike.schnoor@cern.ch
-# 
 # 
 # For the high energy stage of
@@ -11,5 +12,10 @@
 # use exclusive clustering with njets
 # according to final state
-# 
+#
+# c-tagging capabilities of CLICdet are
+# not yet implemented here. Please
+# contact us if you want to use it.
+#######################################
+
 #######################################
 # Order of execution of various modules
@@ -730,4 +736,5 @@
 }
 
+
 ##################
 # Photon isolation
@@ -740,10 +747,11 @@
     set OutputArray photons
 
-    set DeltaRMax 0.5
+    set DeltaRMax 0.1
 
     set PTMin 0.5
 
-    set PTRatioMax 0.12
-}
+    set PTRatioMax 0.2
+}
+
 
 #####################
@@ -753,4 +761,5 @@
 module Efficiency ElectronEfficiency {
     set InputArray ElectronFilter/electrons
+    #set InputArray ElectronDressing/electrons
     set OutputArray electrons
 
@@ -838,9 +847,9 @@
     set OutputArray electrons
 
-    set DeltaRMax 0.5
+    set DeltaRMax 0.1
 
     set PTMin 0.5
 
-    set PTRatioMax 0.12
+    set PTRatioMax 0.2
 }
 
@@ -876,9 +885,9 @@
     set OutputArray muons
 
-    set DeltaRMax 0.5
+    set DeltaRMax 0.1
 
     set PTMin 0.5
 
-    set PTRatioMax 0.25
+    set PTRatioMax 0.2
 }
 