Index: /trunk/paper/CommPhysComp/notes.tex
===================================================================
--- /trunk/paper/CommPhysComp/notes.tex	(revision 506)
+++ /trunk/paper/CommPhysComp/notes.tex	(revision 507)
@@ -161,6 +161,5 @@
 In option\footnote{\texttt{[code]} See the \texttt{FLAG\_lhco} variable in the detector datacard. This text file format is shortly described in the user manual.}, \textsc{Delphes} can produce a reduced output file in \texttt{*.lhco} text format, which is limited to the list of the reconstructed high-level objects in the final states.
 
-The program is driven by input cards. The detector card (\texttt{data/DetectorCard.dat}) allows a large spectrum of running conditions by modifying basic detector parameters, including calorimeter and tracking coverage and resolution, thresholds or jet algorithm parameters. The trigger card (\texttt{data/TriggerCard.dat}) lists the user algorithms for the simplified online 
-preselection.
+The program is driven by input cards. The detector card (\texttt{data/DetectorCard.dat}) allows a large spectrum of running conditions by modifying basic detector parameters, including calorimeter and tracking coverage and resolution, thresholds or jet algorithm parameters. The trigger card (\texttt{data/TriggerCard.dat}) lists the user algorithms for the simplified online preselection. Even if \textsc{Delphes} has been developped for the simulation of general-purpose detectors at the \textsc{lhc} (namely, \textsc{cms} and \textsc{atlas}), the input cards allow a flexible parametrisation for other cases, e.g.\ at future linear colliders.
 
 
@@ -206,5 +205,5 @@
 
 \subsubsection*{Magnetic field}
-In addition to the subdetectors, the effects of a solenoidal magnetic field are simulated for the charged particles\footnote{\texttt{[code] }See the \texttt{TrackPropagation} class.}. This affects the position at which charged particles enter the calorimeters and their corresponding tracks.
+In addition to the subdetectors, the effects of a solenoidal magnetic field are simulated for the charged particles\footnote{\texttt{[code] }See the \texttt{TrackPropagation} class.}. This affects the position at which charged particles enter the calorimeters and their corresponding tracks. The field extension is limited to the tracker volume and is in particular not applied for muon chambers. Howerver, this is not a limiting factor as the resolution applied for muon reconstruction is the one expected by the experiment, which consequently includes the effects of the magnetic field within the muon system.
 
 
@@ -226,5 +225,5 @@
 
 
-The particle four-momentum $p^\mu$ are smeared with a parametrisation directly derived from typical detector technical designs\footnote{\texttt{[code] }~\citep{bib:cmsjetresolution,bib:ATLASresolution}. The response of the detector is applied to the electromagnetic and the hadronic particles through the \texttt{SmearElectron} and \texttt{SmearHadron} functions.}.
+The particle four-momentum $p^\mu$ are smeared with a parametrisation directly derived from typical detector technical designs\footnote{\texttt{[code] } The response of the detector is applied to the electromagnetic and the hadronic particles through the \texttt{SmearElectron} and \texttt{SmearHadron} functions.} \citep{bib:cmsjetresolution,bib:ATLASresolution}.
 In the default parametrisation, the calorimeter is assumed to cover the pseudorapidity range $|\eta|<3$ and consists in an electromagnetic and hadronic parts. Coverage between pseudorapidities of $3.0$ and $5.0$ is provided by forward calorimeters, with different response to electromagnetic objects ($e^\pm, \gamma$) or hadrons. 
 Muons and neutrinos are assumed not to interact with the calorimeters\footnote{In the current \textsc{Delphes} version, particles other than electrons ($e^\pm$), photons ($\gamma$), muons ($\mu^\pm$) and neutrinos ($\nu_e$, $\nu_\mu$ and $\nu_\tau$) are simulated as hadrons for their interactions with the calorimeters. The simulation of stable particles beyond the Standard Model should therefore be handled with care.}.
@@ -623,8 +622,8 @@
 \textsc{Delphes} performs a fast simulation of a collider experiment. 
 Its performances in terms of computing time and data size are directly proportional to the number of simulated events and on the considered physics process. As an example, $10,000$ $pp \rightarrow t \bar t X$ events are processed in $110~\textrm{s}$ on a regular laptop and use less than $250~\textrm{MB}$ of disk space.
-The quality and validity of the output are assessed by comparing to resolution of the reconstructed data to the \textsc{cms} detector expectations. 
-
-Electrons and muons are by construction equal to the experiment designs, as the Gaussian smearing of their kinematics properties is defined according to their resolutions.
-Similarly, the $b$-tagging efficiency (for real $b$-jets) and misidentification rates (for fake $b$-jets) are taken from the expected values of the experiment. 
+The quality and validity of the output are assessed by comparing the resolutions on the reconstructed data to the expectations of both \textsc{cms}~\citep{bib:cmsjetresolution} and \textsc{atlas}~\citep{bib:ATLASresolution} detectors. 
+
+Electrons and muons are by construction equal to the experiment designs, as the Gaussian smearing of their kinematics properties is defined according to the detector specifications.
+Similarly, the $b$-tagging efficiency (for real $b$-jets) and misidentification rates (for fake $b$-jets) are taken directly from the expected values of the experiment. 
 Unlike these simple objects, jets and missing transverse energy should be carefully cross-checked.
 
@@ -634,10 +633,10 @@
 This validation is based on $pp \rightarrow gg$ events produced with \textsc{MadGraph/MadEvent} and hadronised using \textsc{Pythia}~\citep{bib:mgme,bib:pythia}. 
 
-For a \textsc{cms}-like detector, a similar procedure as the one explained in public results is applied here.
+For a \textsc{cms}-like detector, a similar procedure as the one explained in published results is applied here.
 The events were arranged in $14$ bins of gluon transverse momentum $\hat{p}_T$. In each $\hat{p}_T$ bin, every jet in \textsc{Delphes} is matched to the closest jet of generator-level particles, using the spatial separation between the two jet axes
 \begin{equation}
 \Delta R = \sqrt{ \big(\eta^\textrm{rec} - \eta^\textrm{MC} \big)^2 +  \big(\phi^\textrm{rec} - \phi^\textrm{MC} \big)^2}<0.25. 
 \end{equation}
-The jets made of generator-level particles, here referred as \textit{MC jets}, are obtained by applying the algorithm to all particles considered as stable after hadronisation.
+The jets made of generator-level particles, here referred as \textit{MC jets}, are obtained by applying the algorithm to all particles considered as stable after hadronisation (i.e.\ including muons).
 Jets produced by \textsc{Delphes} and satisfying the matching criterion are called hereafter \textit{reconstructed jets}.
 All jets are computed with the clustering algorithm (\textsc{jetclu}) with a cone radius $R$ of $0.7$.
@@ -679,5 +678,5 @@
 \begin{figure}[!h]
 \begin{center}
-\includegraphics[width=\columnwidth]{fig8b}
+\includegraphics[width=\columnwidth]{fig9}
 \caption{Relative energy resolution of reconstructed jets as a function of the energy of the closest jet of generator-level particles $E^\textrm{MC}$, in an \textsc{atlas}-like detector. The jets are reconstructed with the $k_T$ algorithm with a radius $R=0.6$. The maximal matching distance between \textsc{mc}- and reconstructed jets is $\Delta R=0.2$. Only central jets are considered ($|\eta|<0.5$). Dotted line is the fit result for comparison to the \textsc{atlas} resolution~\citep{bib:ATLASresolution}, in blue. The $pp \rightarrow gg$ di-jet events have been generated with \textsc{MadGraph/MadEvent} and hadronised with \textsc{Pythia}.}
 \label{fig:jetresolatlas}
@@ -704,6 +703,6 @@
 \begin{center}
 %\includegraphics[width=\columnwidth]{resolutionETmis}
-\includegraphics[width=\columnwidth]{fig9}
-\includegraphics[width=\columnwidth]{fig9b}
+\includegraphics[width=\columnwidth]{fig10}
+\includegraphics[width=\columnwidth]{fig10b}
 \caption{$\sigma(E^\textrm{mis}_{x})$ as a function on the scalar sum of all towers ($\Sigma E_T$) for $pp \rightarrow gg$ events, for a \textsc{cms}-like detector (top) and an \textsc{atlas}-like detector (bottom), for di-jet events produced with \textsc{MadGraph/MadEvent} and hadronised with \textsc{Pythia}.}
 \label{fig:resolETmis}
@@ -769,5 +768,5 @@
 \begin{center}
 %\includegraphics[width=\columnwidth]{Detector_Delphes_2b}
-\includegraphics[width=\columnwidth]{fig10}
+\includegraphics[width=\columnwidth]{fig11}
 \caption{Layout of the generic detector geometry assumed in \textsc{Delphes}. Open 3D-view of the detector with solid volumes. Same colour codes as for Fig.~\ref{fig:GenDet3} are applied. Additional forward detectors are not depicted.}
 \label{fig:GenDet2}
@@ -791,5 +790,5 @@
 %%\includegraphics[width=\columnwidth]{Events_Delphes_1}
 %\includegraphics[width=\columnwidth]{DisplayWt}
-\includegraphics[width=\columnwidth]{fig11}
+\includegraphics[width=\columnwidth]{fig12}
 \caption{Example of $pp(\gamma p \rightarrow Wt)pY$ event display in different orientations, with $t \rightarrow Wb$. 
 One $W$ boson decays into a $\mu \nu_\mu$ pair and the second one into a $e \nu_e$ pair. 
@@ -808,5 +807,5 @@
 %%\includegraphics[width=\columnwidth]{Events_Delphes_1}
 %\includegraphics[width=\columnwidth]{Displayppgg}
-\includegraphics[width=\columnwidth]{fig12}
+\includegraphics[width=\columnwidth]{fig13}
 \caption{Example of inclusive gluon pair production $pp \rightarrow ggX$. Many jets are visible in the event, in particular along the beam axis. Two muons (in blue) are produced and the missing transverse energy is significant in this event (grey vector).}
 \label{fig:gg}
@@ -847,5 +846,5 @@
 \section*{Acknowledgements}
 \addcontentsline{toc}{section}{Acknowledgements}
-The authors would like to thank very warmly Vincent LemaÃ®tre for the interesting suggestions during the development of the software, as well as Jer\^ome de Favereau, Christophe Delaere, Muriel Vander Donckt and David d'Enterria for useful discussions and comments, and Loic Quertenmont for support in interfacing \textsc{Frog}. We are also really grateful to Alice Dechambre and Simon de Visscher for being beta testers of the complete package. 
+The authors would like to thank very warmly Vincent Lema\^itre for the interesting suggestions during the development of the software, as well as Jer\^ome de Favereau, Christophe Delaere, Muriel Vander Donckt and David d'Enterria for useful discussions and comments, and Loic Quertenmont for support in interfacing \textsc{Frog}. We are also really grateful to Alice Dechambre and Simon de Visscher for being beta testers of the complete package. 
 Part of this work was supported by the Belgian Federal Office for Scientific, Technical and Cultural Affairs through the Interuniversity Attraction Pole P6/11. 
 
@@ -863,6 +862,6 @@
 \bibitem{bib:ExRootAnalysis} %\textit{The} \textsc{ExRootAnalysis} \textit{analysis steering utility}, 
 P. Demin, (2006), unpublished. Now part of \textsc{MadGraph/MadEvent}.
-\bibitem{bib:cmsjetresolution} The CMS Collaboration, \textbf{CERN/LHCC} \href{http://documents.cern.ch/cgi-bin/setlink?base=lhcc&categ=public&id=lhcc-2006-001}{2006-001}.
-\bibitem{bib:ATLASresolution} The ATLAS Collaboration, \textbf{CERN-OPEN} 2008-020, arXiv:\href{http://arxiv.org/abs/arxiv:0901.0512}{0901.0512v1}[hep-ex].
+\bibitem{bib:cmsjetresolution} The \textsc{cms} Collaboration, \textbf{CERN/LHCC} \href{http://documents.cern.ch/cgi-bin/setlink?base=lhcc&categ=public&id=lhcc-2006-001}{2006-001}.
+\bibitem{bib:ATLASresolution} The \textsc{atlas} Collaboration, \textbf{CERN-OPEN} 2008-020, \\arXiv:\href{http://arxiv.org/abs/arxiv:0901.0512}{0901.0512v1}[hep-ex].
 \bibitem{bib:Hector} %\textsc{Hector}, \textit{a fast simulator for the transport of particles in beamlines}, 
 X. Rouby, J. de Favereau, K. Piotrzkowski, \textbf{JINST} \href{http://www.iop.org/EJ/abstract/1748-0221/2/09/P09005}{2 P09005 (2007)}.