Index: trunk/paper/CommPhysComp/notes.tex
===================================================================
--- trunk/paper/CommPhysComp/notes.tex	(revision 507)
+++ trunk/paper/CommPhysComp/notes.tex	(revision 515)
@@ -472,4 +472,5 @@
  
 \subsection{$b$-tagging}
+\label{btagging}
 
 A jet is tagged as $b$-jets if its direction lies in the acceptance of the tracker and if it is associated to a parent $b$-quark. By default, a $b$-tagging efficiency of $40\%$ is assumed if the jet has a parent $b$ quark. For $c$-jets and light jets (i.e.\ originating in $u$, $d$, $s$ quarks or in gluons), a fake $b$-tagging efficiency of $10 \%$ and $1 \%$ respectively is assumed\footnote{\texttt{[code] }Corresponding to the \texttt{BTAG\_b}, \texttt{BTAG\_mistag\_c} and \texttt{BTAG\_mistag\_l} constants, for (respectively) the efficiency of tagging of a $b$-jet, the efficiency of mistagging a $c$-jet as a $b$-jet, and the efficiency of mistagging a light jet ($u$,$d$,$s$,$g$) as a $b$-jet.}.
@@ -720,18 +721,28 @@
 \subsection{\texorpdfstring{$\tau$}{\texttau}-jet efficiency}
 Due to the complexity of their reconstruction algorithm, $\tau$-jets have also to be checked.
-Table~\ref{tab:taurecoefficiency} lists the reconstruction efficiencies for the hadronic $\tau$-jets in the \textsc{cms} experiment and in \textsc{Delphes}. Agreement is good enough to validate also this reconstruction.
+Table~\ref{tab:taurecoefficiency} lists the reconstruction efficiencies in \textsc{Delphes} for the hadronic $\tau$-jets from $H,Z \rightarrow \tau^+ \tau^-$. The mass of the Higgs boson is set successively to $140$ and $300~\textrm{GeV}/c^2$. The inclusive gauge boson productions  ($pp \rightarrow HX$ and $pp \rightarrow ZX$) are performed with \textsc{MadGraph/MadEvent} and the $\tau$ lepton decay and further hadronisation are handled by \textsc{Pythia/Tauola}. All reconstructed $\tau$-jets are $1-$prong, and follow the definition described in section~\ref{btagging}, which is very close to an algorithm of the \textsc{cms} experiment~\citep{bib:cmstauresolution}. At last, corresponding efficiencies published by the \textsc{cms} and \textsc{atlas} experiments are quoted for comparison. The agreement is good enough at this level to validate the $\tau-$reconstruction.
 
 \begin{table}[!h]
 \begin{center}
-\caption{Reconstruction efficiencies of $\tau$-jets in decays from $Z$ or $H$ bosons, in \textsc{Delphes} and in the \textsc{cms} experiment~\citep{bib:cmstauresolution}.\vspace{0.5cm}}
-\begin{tabular}{lll}
+\caption{Reconstruction efficiencies of $\tau$-jets in $\tau^+ \tau^-$ decays from $Z$ or $H$ bosons, in \textsc{Delphes}, \textsc{cms} and \textsc{atlas} experiments~\citep{bib:cmstauresolution,bib:ATLASresolution}. Two scenarios for the mass of the Higgs boson are investigated. Events generated with \textsc{MadGraph/MadEvent} and hadronised with \textsc{Pythia}. The decays of $\tau$ leptons is handled by the \textsc{Tauola} version embedded in \textsc{Pythia}.\vspace{0.5cm}}
+%\begin{tabular}{lll}
+%\hline
+%\multicolumn{2}{c}{\textsc{cms}} & \\
+%$Z \rightarrow \tau^+ \tau^-$ 			 & $38 \%$ &  \\
+%$H \rightarrow \tau^+ \tau^-$ & $36 \%$ & $m_H = 150~\textrm{GeV}/c^2$ \\
+%$H \rightarrow \tau^+ \tau^-$ & $47 \%$ & $m_H = 300~\textrm{GeV}/c^2$ \\
+%\multicolumn{2}{c}{\textsc{Delphes}} & \\
+%$H \rightarrow \tau^+ \tau^-$ &$42 \%$  & $m_H = 140~\textrm{GeV}/c^2$ \\
+%\hline
+%\end{tabular}
+
+\begin{tabular}{lrlrl} 
 \hline
-\multicolumn{2}{c}{\textsc{cms}} & \\
-$Z \rightarrow \tau^+ \tau^-$ 			 & $38 \%$ &  \\
-$H \rightarrow \tau^+ \tau^-$ & $36 \%$ & $m_H = 150~\textrm{GeV}/c^2$ \\
-$H \rightarrow \tau^+ \tau^-$ & $47 \%$ & $m_H = 300~\textrm{GeV}/c^2$ \\
-\multicolumn{2}{c}{\textsc{Delphes}} & \\
-$H \rightarrow \tau^+ \tau^-$ &$42 \%$  & $m_H = 140~\textrm{GeV}/c^2$ \\
+				& \textsc{cms}&\textsc{Delphes} & \textsc{atlas}&\textsc{Delphes} 	\\
+$Z \rightarrow \tau^+ \tau^-$	& $38.2\%$ & $32.4\pm1.8\%$	& $33\%$ & $28.6\pm 1.9\%$ 		\\
+$H(140) \rightarrow \tau^+ \tau^-$	& $36.3\%$ & $39.9\pm1.6\%$	& & $32.8\pm 1.8\%$ 		\\
+$H(300) \rightarrow \tau^+ \tau^-$	& $47.3\%$ & $49.7\pm1.5\%$	& & $43.8\pm 1.6\%$ 		\\
 \hline
+
 \end{tabular}
 \label{tab:taurecoefficiency}